var lesson = {
	files: [
		{
			name: "main",
			content: "import { createSignal, Suspense, Switch, Match, useTransition } from \"solid-js\";\nimport { render } from \"solid-js/web\";\nimport Child from \"./child\";\n\nimport \"./styles.css\";\n\nconst App = () => {\n  const [tab, setTab] = createSignal(0);\n  const updateTab = (index) => () => setTab(index);\n\n  return (\n    <>\n      <ul class=\"inline\">\n        <li classList={{ selected: tab() === 0 }} onClick={updateTab(0)}>\n          Uno\n        </li>\n        <li classList={{ selected: tab() === 1 }} onClick={updateTab(1)}>\n          Dos\n        </li>\n        <li classList={{ selected: tab() === 2 }} onClick={updateTab(2)}>\n          Tres\n        </li>\n      </ul>\n      <div class=\"tab\">\n        <Suspense fallback={<div class=\"loader\">Loading...</div>}>\n          <Switch>\n            <Match when={tab() === 0}>\n              <Child page=\"Uno\" />\n            </Match>\n            <Match when={tab() === 1}>\n              <Child page=\"Dos\" />\n            </Match>\n            <Match when={tab() === 2}>\n              <Child page=\"Tres\" />\n            </Match>\n          </Switch>\n        </Suspense>\n      </div>\n    </>\n  );\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		},
		{
			name: "child",
			content: "import { createResource } from \"solid-js\";\n\nconst CONTENT = {\n  Uno: `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`,\n  Dos: `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?`,\n  Tres: `On the other hand, we denounce with righteous indignation and dislike men who are so beguiled and demoralized by the charms of pleasure of the moment, so blinded by desire, that they cannot foresee the pain and trouble that are bound to ensue; and equal blame belongs to those who fail in their duty through weakness of will, which is the same as saying through shrinking from toil and pain. These cases are perfectly simple and easy to distinguish. In a free hour, when our power of choice is untrammelled and when nothing prevents our being able to do what we like best, every pleasure is to be welcomed and every pain avoided. But in certain circumstances and owing to the claims of duty or the obligations of business it will frequently occur that pleasures have to be repudiated and annoyances accepted. The wise man therefore always holds in these matters to this principle of selection: he rejects pleasures to secure other greater pleasures, or else he endures pains to avoid worse pains.`\n};\n\nfunction createDelay() {\n  return new Promise((resolve) => {\n    const delay = Math.random() * 420 + 160;\n    setTimeout(() => resolve(delay), delay);\n  });\n}\n\nconst Child = (props) => {\n  const [time] = createResource(createDelay);\n\n  return (\n    <div class=\"tab-content\">\n      This content is for page \"{props.page}\" after {time()?.toFixed()}ms.\n      <p>{CONTENT[props.page]}</p>\n    </div>\n  );\n};\n\nexport default Child;\n"
		},
		{
			name: "styles",
			type: "css",
			content: "body{\n  background-color:#eee;\n}\n\n#app{\n  border-radius:3px;\n  border: 1px solid #e5e5e5;\n  margin:15px;\n  background-color:white;\n}\n\n.tab{\n  padding:25px;\n  font-family:sans-serif;\n  color:#444;\n  min-height: 400px;\n}\n\n.pending {\n  transition: color .3s;\n  transition-delay: .1s;\n  transition-timing-function: ease-in;\n  color: #aaa;\n}\n\nul.inline{\n  list-style:none;\n  padding: 0;\n  margin-bottom:0;\n  -webkit-margin-before: 0;\n  -webkit-margin-after: 0;\n  -webkit-margin-start: 0px;\n  -webkit-margin-end: 0px;\n  -webkit-padding-start: 0px;\n}\n\nul.inline li {\n  display:inline-block;\n  margin-left:0;\n  padding:10px;\n  border-bottom:2px solid #eee;\n  transition: all .5s;\n  font-family:sans-serif;\n  font-weight: 300;\n  cursor:pointer;\n  color: #aaa;\n}\n\nul.inline li.selected{\n  border-bottom:2px solid #337ab7;\n  color:#444;\n}\n\n.loader{\n  color:#aaa;\n  font-size: 16px;\n  font-weight: 600;\n  width: 80px;\n}"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { createSignal, Suspense, Switch, Match, useTransition } from \"solid-js\";\nimport { render } from \"solid-js/web\";\nimport Child from \"./child\";\n\nimport \"./styles.css\";\n\nconst App = () => {\n  const [tab, setTab] = createSignal(0);\n  const [pending, start] = useTransition();\n  const updateTab = (index) => () => start(() => setTab(index));\n\n  return (\n    <>\n      <ul class=\"inline\">\n        <li classList={{ selected: tab() === 0 }} onClick={updateTab(0)}>\n          Uno\n        </li>\n        <li classList={{ selected: tab() === 1 }} onClick={updateTab(1)}>\n          Dos\n        </li>\n        <li classList={{ selected: tab() === 2 }} onClick={updateTab(2)}>\n          Tres\n        </li>\n      </ul>\n      <div class=\"tab\" classList={{ pending: pending() }}>\n        <Suspense fallback={<div class=\"loader\">Loading...</div>}>\n          <Switch>\n            <Match when={tab() === 0}>\n              <Child page=\"Uno\" />\n            </Match>\n            <Match when={tab() === 1}>\n              <Child page=\"Dos\" />\n            </Match>\n            <Match when={tab() === 2}>\n              <Child page=\"Tres\" />\n            </Match>\n          </Switch>\n        </Suspense>\n      </div>\n    </>\n  );\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		},
		{
			name: "child",
			content: "import { createResource } from \"solid-js\";\n\nconst CONTENT = {\n  Uno: `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`,\n  Dos: `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?`,\n  Tres: `On the other hand, we denounce with righteous indignation and dislike men who are so beguiled and demoralized by the charms of pleasure of the moment, so blinded by desire, that they cannot foresee the pain and trouble that are bound to ensue; and equal blame belongs to those who fail in their duty through weakness of will, which is the same as saying through shrinking from toil and pain. These cases are perfectly simple and easy to distinguish. In a free hour, when our power of choice is untrammelled and when nothing prevents our being able to do what we like best, every pleasure is to be welcomed and every pain avoided. But in certain circumstances and owing to the claims of duty or the obligations of business it will frequently occur that pleasures have to be repudiated and annoyances accepted. The wise man therefore always holds in these matters to this principle of selection: he rejects pleasures to secure other greater pleasures, or else he endures pains to avoid worse pains.`\n};\n\nfunction createDelay() {\n  return new Promise((resolve) => {\n    const delay = Math.random() * 420 + 160;\n    setTimeout(() => resolve(delay), delay);\n  });\n}\n\nconst Child = (props) => {\n  const [time] = createResource(createDelay);\n\n  return (\n    <div class=\"tab-content\">\n      This content is for page \"{props.page}\" after {time()?.toFixed()}ms.\n      <p>{CONTENT[props.page]}</p>\n    </div>\n  );\n};\n\nexport default Child;\n"
		},
		{
			name: "styles",
			type: "css",
			content: "body{\n  background-color:#eee;\n}\n\n#app{\n  border-radius:3px;\n  border: 1px solid #e5e5e5;\n  margin:15px;\n  background-color:white;\n}\n\n.tab{\n  padding:25px;\n  font-family:sans-serif;\n  color:#444;\n  min-height: 400px;\n}\n\n.pending {\n  transition: color .3s;\n  transition-delay: .1s;\n  transition-timing-function: ease-in;\n  color: #aaa;\n}\n\nul.inline{\n  list-style:none;\n  padding: 0;\n  margin-bottom:0;\n  -webkit-margin-before: 0;\n  -webkit-margin-after: 0;\n  -webkit-margin-start: 0px;\n  -webkit-margin-end: 0px;\n  -webkit-padding-start: 0px;\n}\n\nul.inline li {\n  display:inline-block;\n  margin-left:0;\n  padding:10px;\n  border-bottom:2px solid #eee;\n  transition: all .5s;\n  font-family:sans-serif;\n  font-weight: 300;\n  cursor:pointer;\n  color: #aaa;\n}\n\nul.inline li.selected{\n  border-bottom:2px solid #337ab7;\n  color:#444;\n}\n\n.loader{\n  color:#aaa;\n  font-size: 16px;\n  font-weight: 600;\n  width: 80px;\n}"
		}
	]
};
var markdown = "`Suspense`를 사용하면 데이터가 로딩 중인 경우 폴백 컨텐츠를 표시 할 수 있습니다. 이는 초기 로딩에는 훌륭하지만, 이어지는 네비게이션에서는 스켈레톤 상태로 폴백하는 것이 사용자 경험에 더 나쁜 경우가 있습니다.\n\n`useTransition`을 활용해 폴백 상태로 돌아가는 것을 방지할 수 있는데, 이는 래퍼와 pending 인디케이터를 제공합니다. 래퍼는 모든 비동기 이벤트가 완료될 때까지 커밋되지 않은 모든 다운스트림 업데이트를 트랜잭션에 넣습니다.\n\n제어 흐름이 서스펜드되면, 다음 오프-스크린을 렌더링하는 동안은 계속 현재 브랜치를 표시하게 됩니다. 현재 경계 내에 있는 Resource를 읽는 경우, 이를 트랜지션에 추가합니다. 하지만, 새로 생성된 중첩된 `Suspense` 컴포넌트는 표시되기 전에 로딩이 완료되지 않은 경우 \"폴백\"을 표시합니다.\n\n예제에서 탭을 이동하는 경우, 컨텐츠가 loading 플레이스홀더로 되돌아가는 것을 볼 수 있습니다. `App` 컴포넌트에 트랜지션을 추가해 보겠습니다. 먼저 `updateTab` 함수를 다음과 같이 변경합니다:\n\n```js\nconst [pending, start] = useTransition();\nconst updateTab = (index) => () => start(() => setTab(index));\n```\n\n`useTransition`은 pending Signal 인디케이터와 트랜지션 시작 메서드를 반환합니다.\n\npending Signal을 사용해 인디케이터를 UI에 제공해야 하는데, 탭 컨테이너 div에 pending 클래스를 추가합니다:\n\n```js\n<div class=\"tab\" classList={{ pending: pending() }}>\n```\n\n이제 탭 전환이 훨씬 부드러워진 것을 볼 수 있습니다.\n";
var async_transitions = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { async_transitions as default, lesson, markdown, solved };
