var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nimport \"./style.css\";\n\nfunction App() {\n  const [current, setCurrent] = createSignal(\"foo\");\n\n  return <>\n    <button\n     class={current() === 'foo' ? 'selected' : ''}\n     onClick={() => setCurrent('foo')}\n    >foo</button>\n    <button\n      class={current() === 'bar' ? 'selected' : ''}\n      onClick={() => setCurrent('bar')}\n    >bar</button>\n    <button\n      class={current() === 'baz' ? 'selected' : ''}\n      onClick={() => setCurrent('baz')}\n    >baz</button>\n  </>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		},
		{
			name: "style",
			type: "css",
			content: "button {\n  display: block;\n}\n\n.selected {\n  background-color: #ff3e00;\n  color: white;\n}"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nimport \"./style.css\";\n\nfunction App() {\n  const [current, setCurrent] = createSignal(\"foo\");\n\n  return <>\n    <button\n     classList={{selected: current() === 'foo'}}\n     onClick={() => setCurrent('foo')}\n    >foo</button>\n    <button\n      classList={{selected: current() === 'bar'}}\n      onClick={() => setCurrent('bar')}\n    >bar</button>\n    <button\n      classList={{selected: current() === 'baz'}}\n      onClick={() => setCurrent('baz')}\n    >baz</button>\n  </>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		},
		{
			name: "style",
			type: "css",
			content: "button {\n  display: block;\n}\n\n.selected {\n  background-color: #ff3e00;\n  color: white;\n}"
		}
	]
};
var markdown = "Solid は、要素の `className` プロパティを設定するのに、`class` と `className` の両方の使用をサポートしています。しかし、条件付きでクラスを設定するのが便利な場合もあります。そのため、Solid には組み込みの `classList` JSX 属性があり、キーがクラス名、値が真偽の式であるオブジェクトを受け取ります。true の場合はクラスが適用され、false の場合はクラスが削除されます。\n\nこの例では、これを:\n\n```jsx\n<button\n  class={current() === 'foo' ? 'selected' : ''}\n  onClick={() => setCurrent('foo')}\n>foo</button>\n```\n\nこう置き換えることができます:\n\n```jsx\n<button\n  classList={{selected: current() === 'foo'}}\n  onClick={() => setCurrent('foo')}\n>foo</button>\n```\n\nCSS モジュールで受け取る時と同じように、動的に名前を付けられることを覚えておいてください:\n\n```jsx\nimport { active } from \"./style.module.css\"\n\n<div classList={{ [active]: isActive() }} />\n```\n";
var bindings_classlist = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_classlist as default, lesson, markdown, solved };
