var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return (\n    <Info\n      name={pkg.name}\n      version={pkg.version}\n      speed={pkg.speed}\n      website={pkg.website}\n    />\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Info from \"./info\";\n\nconst pkg = {\n  name: \"solid-js\",\n  version: 1,\n  speed: \"⚡️\",\n  website: \"https://solidjs.com\",\n};\n\nfunction App() {\n  return <Info {...pkg} />;\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "info",
			content: "export default function Info(props) {\n  return (\n    <p>\n      The <code>{props.name}</code> package is {props.speed} fast. Download\n      version {props.version} from{\" \"}\n      <a href={`https://www.npmjs.com/package/${props.name}`}>npm</a> and{\" \"}\n      <a href={props.website}>learn more here</a>\n    </p>\n  );\n}\n"
		}
	]
};
var markdown = "Sometimes your components and elements accept a variable number of attributes and it makes sense to pass them down as an object instead of individually. This is especially true when wrapping a DOM element in a component, a common practice when making design systems.\n\nFor this we use the spread operator `...`.\n\nWe can pass an object with a variable number of properties:\n\n```jsx\n<Info {...pkg} />\n```\n";
var bindings_spreads = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_spreads as default, lesson, markdown, solved };
