var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return <div>Some Text</div>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return (\n    <div style={{\n      color: `rgb(${num()}, 180, ${num()})`,\n      \"font-weight\": 800,\n      \"font-size\": `${num()}px`}}\n    >\n      Some Text\n    </div>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var markdown = "The `style` attribute in Solid accepts either style strings or objects.\nHowever the object form differs from `Element.prototype.style` and instead is a wrapper for calling `style.setProperty`. This means that keys take the dash-case form, like \"background-color\" rather than \"backgroundColor\", and that any units must be explicitly provided (e.g., `width: 500px` rather than `width: 500`). \n\n\nThis also means that we have the ability to set CSS variables:\n\n```js\n<div style={{ \"--my-custom-color\": themeColor() }} />\n```\n\nLet's animate our div with a few inline styles:\n```jsx\n<div style={{\n  color: `rgb(${num()}, 180, ${num()})`,\n  \"font-weight\": 800,\n  \"font-size\": `${num()}px`}}\n>\n  Some Text\n</div>\n```";
var bindings_style = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_style as default, lesson, markdown, solved };
