var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return <div>Some Text</div>;\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction App() {\n  const [num, setNum] = createSignal(0);\n  setInterval(() => setNum((num() + 1) % 255), 30)\n\n  return (\n    <div style={{\n      color: `rgb(${num()}, 180, ${num()})`,\n      \"font-weight\": 800,\n      \"font-size\": `${num()}px`}}\n    >\n      Some Text\n    </div>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'));"
		}
	]
};
var markdown = "Solid의 `style` 속성은 스타일 문자열이나 객체를 받습니다. 객체는 `Element.prototype.style`와는 다르며, `style.setProperty`를 호출하기 위한 래퍼입니다. 이는 \"backgroundColor\"가 아닌 \"background-color\"와 같은 dash-case 형식을 받아들이며, 이는 CSS 변수를 설정할 수 있음을 의미합니다:\n\n```js\n<div style={{ \"--my-custom-color\": themeColor() }} />\n```\n\n인라인 스타일을 사용해 div에 애니메이션을 추가해보겠습니다:\n```jsx\n<div style={{\n  color: `rgb(${num()}, 180, ${num()})`,\n  \"font-weight\": 800,\n  \"font-size\": `${num()}px`}}\n>\n  Some Text\n</div>\n```\n";
var bindings_style = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { bindings_style as default, lesson, markdown, solved };
