var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <Broken />\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <ErrorBoundary fallback={err => err}>\n        <Broken />\n      </ErrorBoundary>\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "UI에서 발생하는 자바스크립트 오류로 전체 앱이 중단되면 안됩니다. `ErrorBoundary` 컴포넌트는 자식 컴포넌트 트리에서 발생하는 자바스크립트 에러를 캐치해서, 에러를 기록하고, 충돌이 발생한 컴포넌트 트리 대신 fallbakc UI를 표시합니다. \n\n이 예제에서는 컴포넌트 에러로 인해 제대로 표시되지 않습니다. Let's wrap it in an Error Boundary that displays the error.\nA component has crashed our example. 에러가 발생하는 컴포넌트를 `ErrorBoundary`로 래핑해 봅시다.\n\n```jsx\n<ErrorBoundary fallback={err => err}>\n  <Broken />\n</ErrorBoundary>\n```\n";
var flow_error_boundary = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_error_boundary as default, lesson, markdown, solved };
