var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <Broken />\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { ErrorBoundary } from \"solid-js\";\n\nconst Broken = (props) => {\n  throw new Error(\"Oh No\");\n  return <>Never Getting Here</>\n}\n\nfunction App() {\n  return (\n    <>\n      <div>Before</div>\n      <ErrorBoundary fallback={err => err}>\n        <Broken />\n      </ErrorBoundary>\n      <div>After</div>\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "Ein JavaScript-Fehler aus dem User Interface sollte nicht die ganze App kaputt machen. Fehlerbegrenzungen (Error Boundaries) sind Komponenten, die solche Fehler aus ihren Kind-Elementen auffangen, die Fehler vermerken und eine Ausweichansicht anzeigen statt des kaputten Komponentenbaumes.\n\nEine Komponente hat unser Beispiel kaputtgemacht. Wir stecken sie in eine Fehlerbegrenzung, die den Fehler anzeigt.\n\n```jsx\n<ErrorBoundary fallback={err => err}>\n  <Broken />\n</ErrorBoundary>\n```\n";
var flow_error_boundary = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_error_boundary as default, lesson, markdown, solved };
