var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n\t\t{ id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n\t\t{ id: 'z_AbfPXTKms', name: 'Maru' },\n\t\t{ id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n\t]);\n  \n  return (\n    <ul>\n      <li>\n        <a target=\"_blank\" href=\"\">\n\t\t\t    1: Garfield\n\t\t    </a>\n      </li>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, For } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n\t\t{ id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n\t\t{ id: 'z_AbfPXTKms', name: 'Maru' },\n\t\t{ id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n\t]);\n  \n  return (\n    <ul>\n      <For each={cats()}>{(cat, i) =>\n        <li>\n          <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n\t\t\t      {i() + 1}: {cat.name}\n\t\t      </a>\n        </li>\n      }</For>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "如果你想遍历一个列表，`<For>` 组件是遍历任何非原始值数组的最佳方式。它通过引用自动键引用，以便在数据更新时对其进行优化以更新或移动行而不是重新创建它们。`<For>` 的回调函数是非跟踪的，并传递数据项和索引 Signal。\n\n```jsx\n<For each={cats()}>\n  {(cat, i) => (\n    <li>\n      <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat.id}`}>\n        {i() + 1}: {cat.name}\n      </a>\n    </li>\n  )}\n</For>\n```\n\n`index` 是一个 Signal，因此它可以在移动行时独立更新。数据项不是 Signal，因为更改将意味着新引用并会导致创建新行。进行嵌套更新的方法是创建嵌套 Signal 或使用 Solid 的 Store 代理。\n\n你还可以使用 `<For>` 来迭代其他不是数组的可迭代对象，方法是使用类似 `Object.keys` 的方法或简单地扩展到类似 `[...iterable]` 的数组中。\n";
var flow_for = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_for as default, lesson, markdown, solved };
