var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, Index } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n    { id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n    { id: 'z_AbfPXTKms', name: 'Maru' },\n    { id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n  ]);\n  \n  return (\n    <ul>\n      <li>\n        <a target=\"_blank\" href=\"\">\n          1: Garfield\n        </a>\n      </li>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\nimport { createSignal, Index } from 'solid-js';\n\nfunction App() {\n  const [cats, setCats] = createSignal([\n    { id: 'J---aiyznGQ', name: 'Keyboard Cat' },\n    { id: 'z_AbfPXTKms', name: 'Maru' },\n    { id: 'OUtn3pvWmpg', name: 'Henri The Existential Cat' }\n  ]);\n  \n  return (\n    <ul>\n      <Index each={cats()}>{(cat, i) =>\n        <li>\n          <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat().id}`}>\n            {i + 1}: {cat().name}\n          </a>\n        </li>\n      }</Index>\n    </ul>\n  );\n}\n\nrender(() => <App />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "Иногда для нас не имеет смысла сравнивать строки по ссылкам. При работе с примитивными значениями или массивами массивов обработка значения как ключа может вызвать много ненужных ререндеров. Например, если мы прикрепим список тегов в `<input>`, с помощью которого мы можем редактировать каждый элемент по отдельности, каждое изменение этого значения привело бы к ререндеру `<input>`, поскольку строчки будут рассматриваться как уникальные идентификаторы.\n\nВ этих случаях индекс массива является фактическим ключом к списку. Для того, чтобы облегчить работу в подобных случаев в Solid есть компонент `<Index>`.\n\n`<Index>` имеет API схожий с `<For>`, за исключением того, что на этот раз элемент является Сигналом, а `index` фиксирован:\n\n```jsx\n<Index each={cats()}>{(cat, index) =>\n  <li>\n    <a target=\"_blank\" href={`https://www.youtube.com/watch?v=${cat().id}`}>\n      {index + 1}: {cat().name}\n    </a>\n  </li>\n}</Index>\n```\n";
var flow_index = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_index as default, lesson, markdown, solved };
