var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, Show, Switch, Match } from \"solid-js\";\n\nfunction App() {\n  const [x] = createSignal(7);\n\n  return (\n    <Show\n      when={x() > 10}\n      fallback={\n        <Show\n          when={5 > x()}\n          fallback={<p>{x()} is between 5 and 10</p>}\n        >\n          <p>{x()} is less than 5</p>\n        </Show>\n      }\n    >\n      <p>{x()} is greater than 10</p>\n    </Show>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, Switch, Match } from \"solid-js\";\n\nfunction App() {\n  const [x] = createSignal(7);\n\n  return (\n    <Switch fallback={<p>{x()} is between 5 and 10</p>}>\n      <Match when={x() > 10} >\n        <p>{x()} is greater than 10</p>\n      </Match>\n      <Match when={5 > x()}>\n        <p>{x()} is less than 5</p>\n      </Match>\n    </Switch>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "場合によっては、2 つ以上の排他的な結果を持つ条件式を扱う必要があります。このような場合には、JavaScript の `switch`/`case` を大まかにモデル化した `<Switch>` と `<Match>` のコンポーネントを用意しました。\n\n各条件にマッチするかどうかを順に試し、最初に true と評価されたものをレンダリングして停止します。すべてに失敗した場合は、フォールバックをレンダリングします。\n\nこの例では、ネストした `<Show>` コンポーネントを次のように置き換えることができます:\n\n```jsx\n<Switch fallback={<p>{x()} is between 5 and 10</p>}>\n  <Match when={x() > 10}>\n    <p>{x()} is greater than 10</p>\n  </Match>\n  <Match when={5 > x()}>\n    <p>{x()} is less than 5</p>\n  </Match>\n</Switch>\n```\n";
var flow_switch = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { flow_switch as default, lesson, markdown, solved };
