var html = "<section class=\"mt-10\"><h1 id=\"%EC%8B%9C%EC%9E%91%ED%95%98%EA%B8%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%8B%9C%EC%9E%91%ED%95%98%EA%B8%B0\">#</a> 시작하기</h1><h2 id=\"solid-%EC%82%AC%EC%9A%A9%ED%95%98%EA%B8%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-%EC%82%AC%EC%9A%A9%ED%95%98%EA%B8%B0\">#</a> Solid 사용하기</h2><p>Solid를 사용하기 위한 가장 쉬운 방법은 온라인으로 시도해 보는 것입니다. <a href=\"https://playground.solidjs.com\">https://playground.solidjs.com</a> 의 REPL은 이를 위한 완벽한 방법을 제공합니다. 또한 <a href=\"https://github.com/solidjs/solid/blob/main/documentation/resources/examples.md\">샘플</a>을 편집해 볼 수 있는 <a href=\"https://codesandbox.io/\">https://codesandbox.io/</a> 도 있습니다.</p><p>또한, 터미널에서 다음 명령을 실행해서 <a href=\"https://vitejs.dev/\">Vite</a> 템플릿을 사용할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/js my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>타입스크립트를 사용하려면 다음과 같이 실행합니다:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/ts my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"solid-%EB%B0%B0%EC%9A%B0%EA%B8%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-%EB%B0%B0%EC%9A%B0%EA%B8%B0\">#</a> Solid 배우기</h2><p>Solid는 애플리케이션 빌딩 블록 역할을 하는 조합 가능한 작은 조각들입니다. 이 조각들은 대부분 얕은 최상위 API를 구성하는 함수들입니다. 다행히도 이들 대부분에 대해서 몰라도 시작할 수 있습니다.</p><p>자유롭게 사용할 수 있는 두가지 주요 빌딩 블록은 컴포넌트와 리액티브 프리미티브가 있습니다.</p><p>컴포넌트는 props 객체를 입력으로 받으며, 네이티브 DOM 엘리먼트와 다른 컴포넌트를 포함하는 JSX 엘리먼트를 반환하는 함수입니다. 이는 파스칼 케이스의 JSX 엘리먼트로 표현할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">MyComponent</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;Hello {props.name}&lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">MyComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;Solid&quot;</span><span style=\"color:#24292e\"> /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>컴포넌트는 자체적으로 상태를 저장하지 않고 인스턴스가 없다는 점에서 가볍습니다. 대신, DOM 엘리먼트와 리액티브 프리미티브를 위한 팩토리 함수 역할을 합니다.</p><p>Solid의 세밀한 반응성<sub>Reactivity</sub>은 Signal, Memo, Effect의 3개의 간단한 프리미티브를 기반으로 합니다. 이들은 뷰를 최신 상태로 유지하는 자동추적 동기화 엔진을 형성합니다. 리액티브 계산은 동기식으로 실행되는 간단한 함수로 래핑된 표현식의 형태를 취합니다.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">first</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setFirst</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;JSON&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">last</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setLast</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Bourne&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">`${</span><span style=\"color:#6f42c1\">first</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} ${</span><span style=\"color:#6f42c1\">last</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}`</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span></code></pre><p><a href=\"#reactivity\">Solid의 반응성</a>과 <a href=\"#rendering\">Solid의 렌더링</a>에 대해서 자세히 알아보세요.</p><h2 id=\"solid%EC%9D%98-%EC%83%9D%EA%B0%81\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid%EC%9D%98-%EC%83%9D%EA%B0%81\">#</a> Solid의 생각</h2><p>Solid의 디자인에는 최고의 웹사이트와 애플리케이션을 구축하는데 필요한 원칙과 가치관에 대한 몇가지 의견이 담겨 있습니다. Solid에 대한 철학을 알고 있다면 Solid를 배우고 사용하는것이 더 쉬워집니다.</p><h3 id=\"1.-%EC%84%A0%EC%96%B8%EC%A0%81-%EB%8D%B0%EC%9D%B4%ED%84%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-%EC%84%A0%EC%96%B8%EC%A0%81-%EB%8D%B0%EC%9D%B4%ED%84%B0\">#</a> 1. 선언적 데이터</h3><p>선언적 데이터는 데이터의 동작에 대한 설명을 선언에 묶는 방식입니다. 이를 통해 데이터 동작의 모든 측면을 한 곳에서 패키징하여 쉽게 조합할 수 있습니다.</p><h3 id=\"2.-%EC%82%AC%EB%9D%BC%EC%A7%80%EB%8A%94-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-%EC%82%AC%EB%9D%BC%EC%A7%80%EB%8A%94-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8\">#</a> 2. 사라지는 컴포넌트</h3><p>업데이트를 고려하지 않고 컴포넌트를 구조화하는 것은 어렵습니다. Solid 업데이트는 컴포넌트와 완전히 독립되어 있습니다. 컴포넌트 함수는 한 번 호출된 후 사라집니다. 컴포넌트는 코드를 구성하기 위해 존재하며 다른 용도는 별로 없습니다.</p><h3 id=\"3.-%EC%9D%BD%EA%B8%B0%2F%EC%93%B0%EA%B8%B0-%EB%B6%84%EB%A6%AC\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-%EC%9D%BD%EA%B8%B0%2F%EC%93%B0%EA%B8%B0-%EB%B6%84%EB%A6%AC\">#</a> 3. 읽기/쓰기 분리</h3><p>정확한 제어와 예측 가능성은 더 나은 시스템을 만듭니다. 단벙향 플로우를 강제하기 위한 진정한 불변성은 필요하지 않으며, 컨슈머가 변경할 수 있는 것과 아닌 것을 의식적으로 결정하는 능력만 필요합니다.</p><h3 id=\"4.-%EC%89%AC%EC%9A%B4%EA%B2%83%EB%B3%B4%EB%8B%A4-%EB%8B%A8%EC%88%9C%ED%95%9C-%EA%B2%83%EC%9D%B4-%EB%82%AB%EB%8B%A4.\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-%EC%89%AC%EC%9A%B4%EA%B2%83%EB%B3%B4%EB%8B%A4-%EB%8B%A8%EC%88%9C%ED%95%9C-%EA%B2%83%EC%9D%B4-%EB%82%AB%EB%8B%A4.\">#</a> 4. 쉬운것보다 단순한 것이 낫다.</h3><p>세밀한 반응성을 위해서 고생하며 얻은 교훈입니다. 더 많은 노력이 필요하더라도, 명시적이고 일관된 규칙은 그만한 가치가 있습니다. 목표는 기본이 되는 최소한의 도구를 제공하는 것입니다.</p><h2 id=\"%EC%9B%B9-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%9B%B9-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8\">#</a> 웹 컴포넌트</h2><p>Solid는 웹 컴포넌트를 1급 시민으로 만들고자 하는 바램으로 탄생했습니다. 시간이 흐르면서 디자인이 발전하고 목표가 변경되었지만, Solid는 여전히 웹 컴포넌트를 작성하는 좋은 방법입니다. <a href=\"https://github.com/solidjs/solid/tree/main/packages/solid-element\">Solid 엘리먼트</a>를 사용하면 Solid의 함수형 컴포넌트를 작성하고 래핑해서 작고 성능 좋은 웹 컴포넌트를 만들 수 있습니다. Solid 앱 내에서 Solid 엘리먼트는 Solid의 컨텍스트 API를 활용할 수 있으며, Solid Portal은 섀도우 DOM의 격리된 스타일을 지원합니다.</p><h2 id=\"%EC%84%9C%EB%B2%84-%EB%A0%8C%EB%8D%94%EB%A7%81\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%84%9C%EB%B2%84-%EB%A0%8C%EB%8D%94%EB%A7%81\">#</a> 서버 렌더링</h2><p>Solid는 진정한 동형<sub>Isomorphic</sub> 개발 경험을 가능하게 하는 동적 서버 사이드 렌더링 솔루션을 제공합니다. Resource 프리미티브를 사용하면 비동기 데이터 요청을 쉽게 생성할 수 있으며, 클라이언트와 브라우저 간에 자동으로 직렬화 및 동기화됩니다.</p><p>Solid는 서버에서 비동기 렌더링과 스트림 렌더링을 지원하기 하므로, 한 방향으로 코드를 작성해서 서버에서 실행할 수 있습니다. 즉, <a href=\"https://ko.reactjs.org/docs/concurrent-mode-suspense.html#approach-3-render-as-you-fetch-using-suspense\">render-as-you-fetch</a> 및 코드 분할과 같은 기능이 Solid에서도 작동합니다.</p><p>자세한 내용은 <a href=\"/guides/server#server-side-rendering\">서버 가이드</a>를 읽어보시기 바랍니다.</p><h2 id=\"%EC%BB%B4%ED%8C%8C%EC%9D%BC-%EB%AF%B8%EC%82%AC%EC%9A%A9%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%BB%B4%ED%8C%8C%EC%9D%BC-%EB%AF%B8%EC%82%AC%EC%9A%A9%3F\">#</a> 컴파일 미사용?</h2><p>JSX를 싫어하시나요? 수동으로 표현식을 래핑하고, 형편없는 성능을 경험하고, 번들 크기가 커지는 것이 싫으신가요? 대신, 태그가 지정된 템플릿 리터럴이나 하이퍼스크립트를 사용해 컴파일되지않은 환경에서 Solid 앱을 만들 수 있습니다.</p><p><a href=\"https://www.skypack.dev/\">Skypack</a>을 사용해 브라우저에서 직접 실행 가능합니다:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;module&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        createSignal,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        onCleanup,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { render } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> html </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/html&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">),</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          </span><span style=\"color:#005cc5\">timer</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setInterval</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">), </span><span style=\"color:#005cc5\">1000</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">onCleanup</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clearInterval</span><span style=\"color:#24292e\">(timer));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">html</span><span style=\"color:#032f62\">`&lt;div&gt;${</span><span style=\"color:#24292e\">count</span><span style=\"color:#032f62\">}&lt;/div&gt;`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(App, document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><p>타입스크립트와 함께 작동하려면, 관련 DOM 표현식 라이브러리가 필요합니다. 태그가 지정된 템플릿 리터럴을 사용하려면 <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/lit-dom-expressions\">Lit DOM Expressions</a>가 필요하며, 하이퍼스크립트는 <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/hyper-dom-expressions\">Hyper DOM Expressions</a>가 필요합니다.</p></section>";
var attributes = {
	title: "시작하기",
	description: "Solid 시작 가이드",
	sort: 0
};
var sections = [
	{
		slug: "%EC%8B%9C%EC%9E%91%ED%95%98%EA%B8%B0",
		title: "시작하기",
		level: 1,
		children: [
			{
				slug: "solid-%EC%82%AC%EC%9A%A9%ED%95%98%EA%B8%B0",
				title: "Solid 사용하기",
				level: 2,
				children: [
				]
			},
			{
				slug: "solid-%EB%B0%B0%EC%9A%B0%EA%B8%B0",
				title: "Solid 배우기",
				level: 2,
				children: [
				]
			},
			{
				slug: "solid%EC%9D%98-%EC%83%9D%EA%B0%81",
				title: "Solid의 생각",
				level: 2,
				children: [
					{
						slug: "1.-%EC%84%A0%EC%96%B8%EC%A0%81-%EB%8D%B0%EC%9D%B4%ED%84%B0",
						title: "1. 선언적 데이터",
						level: 3,
						children: [
						]
					},
					{
						slug: "2.-%EC%82%AC%EB%9D%BC%EC%A7%80%EB%8A%94-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8",
						title: "2. 사라지는 컴포넌트",
						level: 3,
						children: [
						]
					},
					{
						slug: "3.-%EC%9D%BD%EA%B8%B0%2F%EC%93%B0%EA%B8%B0-%EB%B6%84%EB%A6%AC",
						title: "3. 읽기/쓰기 분리",
						level: 3,
						children: [
						]
					},
					{
						slug: "4.-%EC%89%AC%EC%9A%B4%EA%B2%83%EB%B3%B4%EB%8B%A4-%EB%8B%A8%EC%88%9C%ED%95%9C-%EA%B2%83%EC%9D%B4-%EB%82%AB%EB%8B%A4.",
						title: "4. 쉬운것보다 단순한 것이 낫다.",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "%EC%9B%B9-%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8",
				title: "웹 컴포넌트",
				level: 2,
				children: [
				]
			},
			{
				slug: "%EC%84%9C%EB%B2%84-%EB%A0%8C%EB%8D%94%EB%A7%81",
				title: "서버 렌더링",
				level: 2,
				children: [
				]
			},
			{
				slug: "%EC%BB%B4%ED%8C%8C%EC%9D%BC-%EB%AF%B8%EC%82%AC%EC%9A%A9%3F",
				title: "컴파일 미사용?",
				level: 2,
				children: [
				]
			}
		]
	}
];
var gettingStarted = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, gettingStarted as default, html, sections };
