var html = "<section class=\"mt-10\"><h1 id=\"pendahuluan\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pendahuluan\">#</a> Pendahuluan</h1><h2 id=\"mencoba-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#mencoba-solid\">#</a> Mencoba Solid</h2><p>Sejauh ini cara termudah untuk mulai menggunakan Solid adalah dengan mencobanya secara online. REPL kami di <a href=\"https://playground.solidjs.com\">https://playground.solidjs.com</a> adalah cara terbaik untuk mencoba ide-ide kamu. Sama halnya dengan <a href=\"https://codesandbox.io/\">https://codesandbox.io/</a> dimana kamu dapat mengubah semua contoh yang kami sediakan.</p><p>Atau, kamu juga dapat menggunakan template-template <a href=\"https://vitejs.dev/\">Vite</a> sederhana kami dengan menjalankan perintah-perintah dibawah ini pada terminal kamu:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/js my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Atau untuk pengguna TypeScript:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/ts my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># or yarn or pnpm</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"belajar-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#belajar-solid\">#</a> Belajar Solid</h2><p>Solid pada dasarnya adalah bagian-bagian kecil yang dapat di komposisikan sehingga kamu dapat menggunakannnya sebagai blok-blok bangunan untuk membuat sebuahaplikasi. Bagian-bagian ini pada umumnya terdiri dari fungsi-fungsi yang terbuat dari API tingkat-atas yang dangkal. Untungnya, kamu tidak perlu tahu tentang semua hal itu untuk memulai.</p><p>Dua tipe utama dari blok-blok bangunan yang kamu punya adalah Komponen dan Primitif-Primitif Reaktif.</p><p>Komponen adalah fungsi yang dapat menerima properti objek dan mengembalikan elemen JSX termasuk elemen DOM asli dan komponen lainnya. Mereka dapat di ekspresikan sebagai elemen JSX dalam bentuk PascalCase:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">MyComponent</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;Hello {props.name}&lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">MyComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;Solid&quot;</span><span style=\"color:#24292e\"> /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>Komponen itu ringan karena mereka tidak stateful dan tidak memiliki instance. Sebaliknya, mereka berfungsi sebagai factory functions untuk element DOM dan Primitif-Primitif Reaktif.</p><p>Reaktivitas halus dari Solid dibangun di atas 3 primitif sederhana: Signals, Memo, dan Effects. Bersama-sama, mereka membentuk mesin pelacakan sinkronisasi otomatis yang memastikan tampilan kamu tetap terbarui. Komputasi-komputasi reaktif mengambil bentuk sebagai ekspresi-ekspresi yang terbungkus fungsi yang dieksekusi secara bersamaan.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">first</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setFirst</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;JSON&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">last</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setLast</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Bourne&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">`${</span><span style=\"color:#6f42c1\">first</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} ${</span><span style=\"color:#6f42c1\">last</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}`</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span></code></pre><p>Kamu dapat mempelajari lebih dalam tentang <a href=\"/guides/reactivity\">Reaktifitas pada Solid</a> dan <a href=\"/guides/rendering\">Rendering pada Solid</a>.</p><h2 id=\"berpikir-dengan-cara-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#berpikir-dengan-cara-solid\">#</a> Berpikir dengan cara Solid</h2><p>Desain Solid mengambil beberapa pendapat tentang prinsip dan nilai yang dapat membantu kita membuat website dan aplikasi yang terbaik. Akan lebih mudah untuk mempelajari dan menggunakan Solid ketika kamu paham tentang filosofi dibaliknya.</p><h3 id=\"1.-data-yang-deklaratif\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-data-yang-deklaratif\">#</a> 1. Data yang Deklaratif</h3><p>Data yang deklaratif adalah praktik mengikat deskripsi dari sebuah perilaku data ke deklarasinya. Ini memungkinkan untuk komposisi yang mudah dengan mengemas semua aspek perilaku dari data tersebut pada satu tempat.</p><h3 id=\"2.-komponen-yang-hilang\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-komponen-yang-hilang\">#</a> 2. Komponen yang Hilang</h3><p>Sudah cukup sulit untuk menyusun komponen-komponen kamu tanpa perlu mempertimbangkan pembaruan. Pembaruan di Solid betul-betul tidak bergantung terhadap komponen. Fungsi komponen hanya dipanggil satu kali saja lalu tidak ada lagi. Komponen-komponen ada hanya untuk mengatur kode kamu dan sedikit hal lainnya.</p><h3 id=\"3.-pemisahan-membaca%2Fmenulis\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-pemisahan-membaca%2Fmenulis\">#</a> 3. Pemisahan Membaca/Menulis</h3><p>Kontrol yang presisi dan dapat diprediksi membuat sistem menjadi lebih baik. Kita tidak membutuhkan immutability yang sesungguhnya untuk memaksakan unidirectional flow, kita hanya perlu kemampuan untuk membuat keputusan sadar, yang mana yang mungkin ditulis dan yang mana yang tidak, oleh kostumer.</p><h3 id=\"4.-sederhana-lebih-baik-daripada-mudah\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-sederhana-lebih-baik-daripada-mudah\">#</a> 4. Sederhana lebih baik daripada mudah</h3><p>Sebuah pelajaran yang dapat diambil dari Reaktifitas halus (fine-grained). Konvensi yang eksplisit dan konsisten bahkan jika membutuhkan lebih banyak usaha tidak akan sia-sia. Karena tujuannya adalah menyediakan alat-alat minimal sebagai dasar/pondasi untuk membangun.</p><h2 id=\"web-components\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#web-components\">#</a> Web Components</h2><p>Solid lahir dengan keinginan untuk membuat Web Components sebagai &quot;first class citizens&quot;. Seiring waktu, desain dari solid berkembang dan tujuannya pun berganti. Tetapi, Solid tetap menjadi pilihan yang cocok untuk pengguna Web Components. <a href=\"https://github.com/solidjs/solid/tree/main/packages/solid-element\">Solid Element</a> membolehkan kamu untuk menulis dan membungkus fungsi komponen Solid untuk menghasilkan Web Components yang kecil dan mempunyai performa baik. Didalam aplikasi Solid, Solid Element tetap dapat memanfaatkan Context API dari Solid, dan dukungan Shadow DOM isolated styling dari Solid Portals.</p><h2 id=\"me-render-di-server\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#me-render-di-server\">#</a> Me-render di Server</h2><p>Solid memiliki solusi untuk melakukan render di server yang dynamic yang memungkinkan kamu mendapatkan pengalaman isomorphic development yang sesungguhnya. Melalui penggunaan Resource Primitif kami, async data requests dapat dengan mudah dibuat dan yang lebih penting, secara otomatis diserialisasi dan disingkronkan antara klien dan browser.</p><p>Karena Solid mendukung rendering secara asinkron dan streaming di server, kamu dapat menulis kode kamu dengan satu cara dan membuatnya dapat dieksekusi di server. Yang berarti fitur seperti <a href=\"https://reactjs.org/docs/concurrent-mode-suspense.html#approach-3-render-as-you-fetch-using-suspense\">render-as-you-fetch</a> dan pemecahan kode dapat bekerja begitu saja di Solid.</p><p>Untuk informasi lebih lanjut, silahkan baca <a href=\"#rendering-di-server\">Panduan Server</a></p><h2 id=\"tanpa-kompilasi%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#tanpa-kompilasi%3F\">#</a> Tanpa Kompilasi?</h2><p>Membenci JSX? Tidak keberatan melakukan pekerjaan manual untuk membungkus ekspresi-ekspresi, kinerja yang lebih buruk, dan ukuran bundel yang lebih besar? Secara alternatif, kamu dapat membuat aplikasi Solid menggunakan Tagged Template Literals atau HyperScript di lingkungan tanpa kompilasi.</p><p>Kamu dapat menjalankan langsung dari browser menggunakan <a href=\"https://www.skypack.dev/\">Skypack</a>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;module&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        createSignal,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        onCleanup,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { render } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> html </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/html&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">),</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          </span><span style=\"color:#005cc5\">timer</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setInterval</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">), </span><span style=\"color:#005cc5\">1000</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">onCleanup</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clearInterval</span><span style=\"color:#24292e\">(timer));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">html</span><span style=\"color:#032f62\">`&lt;div&gt;${</span><span style=\"color:#24292e\">count</span><span style=\"color:#032f62\">}&lt;/div&gt;`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(App, document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><p>Ingat kamu tetap harus memerlukan library DOM Expressions yang sesuai untuk membuat mereka bekerja dengan TypeScript. Kamu dapat menggunakan Tagged Template Literals dengan <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/lit-dom-expressions\">Lit DOM Expressions</a> atau HyperScript dengan <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/hyper-dom-expressions\">Hyper DOM Expressions</a>.</p></section>";
var attributes = {
	title: "Pendahuluan",
	description: "Panduan untuk cara memulai menggunakan Solid.",
	sort: 0
};
var sections = [
	{
		slug: "pendahuluan",
		title: "Pendahuluan",
		level: 1,
		children: [
			{
				slug: "mencoba-solid",
				title: "Mencoba Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "belajar-solid",
				title: "Belajar Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "berpikir-dengan-cara-solid",
				title: "Berpikir dengan cara Solid",
				level: 2,
				children: [
					{
						slug: "1.-data-yang-deklaratif",
						title: "1. Data yang Deklaratif",
						level: 3,
						children: [
						]
					},
					{
						slug: "2.-komponen-yang-hilang",
						title: "2. Komponen yang Hilang",
						level: 3,
						children: [
						]
					},
					{
						slug: "3.-pemisahan-membaca%2Fmenulis",
						title: "3. Pemisahan Membaca/Menulis",
						level: 3,
						children: [
						]
					},
					{
						slug: "4.-sederhana-lebih-baik-daripada-mudah",
						title: "4. Sederhana lebih baik daripada mudah",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "web-components",
				title: "Web Components",
				level: 2,
				children: [
				]
			},
			{
				slug: "me-render-di-server",
				title: "Me-render di Server",
				level: 2,
				children: [
				]
			},
			{
				slug: "tanpa-kompilasi%3F",
				title: "Tanpa Kompilasi?",
				level: 2,
				children: [
				]
			}
		]
	}
];
var gettingStarted = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, gettingStarted as default, html, sections };
