var html = "<section class=\"mt-10\"><h1 id=\"empezando\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#empezando\">#</a> Empezando</h1><h2 id=\"prueba-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#prueba-solid\">#</a> Prueba Solid</h2><p>Por mucho, la forma mas fácil de empezar con Solid es probarlo online. Nuestro REPL en <a href=\"https://playground.solidjs.com\">https://playground.solidjs.com</a> es el lugar perfecto para probar ideas. Igual que <a href=\"https://codesandbox.io/\">https://codesandbox.io/</a> donde puedes modificar cualquiera de <a href=\"https://github.com/solidjs/solid/blob/main/documentation/resources/examples.md\">nuestros Ejemplos</a>.</p><p>Otra alternativa es usar nuestros <a href=\"https://github.com/solidjs/templates\">templates Vite</a> corriendo los siguientes comandos en tu terminal:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/js nombre-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> nombre-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># o yarn o pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># o yarn o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Si necesitas TypeScript:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/ts nombre-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> nombre-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># o yarn o pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># o yarn o pnpm</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"aprende-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#aprende-solid\">#</a> Aprende Solid</h2><p>Solid es todo sobre pequeñas piezas componibles que sirven como bloques de construcción de aplicaciones. Estas piezas son en su mayoría funciones que componen muchas API's top-level. Afortunadamente, tu no necesitas conocer la mayoría para empezar.</p><p>Los dos tipos principales de bloques de construcción que tienes a tu disposición son Componentes y Primitivos Reactivos.</p><p>Los Componentes son funciones que aceptan un objeto de propiedades o props y retornan elementos JSX incluyendo elementos nativos del DOM y otros componentes. Pueden ser representados como elementos JSW en PascalCase</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">MiComponente</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;Hola {props.nombre}&lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">MyComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">nombre</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;Solid&#39;</span><span style=\"color:#24292e\"> /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>Los componentes son muy ligeros dado que no tienen estado y no tienen instancias. En cambio, sirven como fábrica de funciones para elementos del DOM y Primitivos Reactivos.</p><p>La reactividad finamente detallada de Solid está construida en 3 simples primitivos: Signals, Memos y Effects. Juntos, forman un motor de auto-rastreo sincronizado que se asegura de que tus vistas se mantengan actualizadas. Las computaciones reactivas toman la form de simples expresiones envueltas en funciones que se ejecutan de forma sincronizada.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">nombre</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setNombre</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;JSON&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">apellido</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setApellido</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Bourne&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">`${</span><span style=\"color:#6f42c1\">nombre</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} ${</span><span style=\"color:#6f42c1\">apellido</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}`</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span></code></pre><p>Puedes aprender mas sobre <a href=\"#reactivity\">Reactividad Solid</a> y <a href=\"#rendering\">Renderizado Solid</a>. Puedes aprender mas sobre <a href=\"#reactivity\">Reactividad Solid</a> y <a href=\"#rendering\">Renderizado Solid</a>.</p><h2 id=\"piensa-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#piensa-solid\">#</a> Piensa Solid</h2><p>El diseño de Solid tiene varias opiniones sobre que principios y valores nos ayudan mas a construir sitios web y aplicaciones. Es mas fácil aprender y usar Solid cuando estás al tanto de la filosofía detrás.</p><h3 id=\"1.-datos-declarativos\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-datos-declarativos\">#</a> 1. Datos Declarativos</h3><p>Los datos declarativos es la practica de atar la descripción del comportamiento de los datos a su declaración. Esto permite una composición fácil al envolver de todos los aspectos del comportamiento de los datos en un solo lugar.</p><h3 id=\"2.-desaparici%C3%B3n-de-componentes\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-desaparici%C3%B3n-de-componentes\">#</a> 2. Desaparición de Componentes</h3><p>Ya es lo suficientemente duro tener que estructurar tus componentes sin tomar en cuenta las actualizaciones. Las actualizaciones de Solid son completamente independientes de los componentes. Las funciones de componentes son llamadas una sola vez y dejan de existir. Los componentes existen para organizar tu código y poco mas.</p><h3 id=\"3.-segregaci%C3%B3n-de-lectura%2Fescritura\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-segregaci%C3%B3n-de-lectura%2Fescritura\">#</a> 3. Segregación de Lectura/Escritura</h3><p>Control preciso y predictibilidad permiten mejores sistemas. No necesitamos verdadera inmutabilidad para forzar flujo unidireccional, solo la habilidad de hacer decisiones conscientes de que clientes pueden escribir y cuales no podrán.</p><h3 id=\"4.-simple-es-mejor-que-f%C3%A1cil\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-simple-es-mejor-que-f%C3%A1cil\">#</a> 4. Simple es mejor que fácil</h3><p>Una lección que puede seguir a la reactividad finamente detallada. Convenciones explicitas y consistentes incluso si requieren mas esfuerzo, valen la pena. La meta es proveer herramientas mínimas para servir de base sobre la cual construir.</p><h2 id=\"web-components\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#web-components\">#</a> Web Components</h2><p>Solid nació con el deseo de tener Web Components como ciudadanos de primera clase. Con el tiempo su diseño ha evolucionado y las metas cambiado. Sin embargo, Solid sigue siendo una gran forma de escribir Web Components. <a href=\"https://github.com/solidjs/solid/tree/main/packages/solid-element\">Solid Element</a> te permite escribir y envolver componentes funcionales de Solid para producir pequeños y eficaces Web Components. Dentro de las apps Solid, Solid Element es capaz de aprovechar el API Context de Solid y los Portals Solid soportan estilizado isolado del Shadow DOM.</p><h2 id=\"renderizado-de-servidor\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#renderizado-de-servidor\">#</a> Renderizado de Servidor</h2><p>Solid tiene una solución dinámica de renderizado de servidor que habilita una experiencia de desarrollo verdaderamente isomorfa. Mediante el uso de nuestros recursos primitivos, las peticiones asíncronas de datos son hechas fácilmente y aún mas importante, automáticamente serializadas y sincronizadas entre el cliente y el navegador.</p><p>Ya que Solid soporta renderizado asíncrono y streameable en el servidor, puedes escribir tu código de una forma y ejecutarlo en el servidor. Esto significa que funciones como <a href=\"https://reactjs.org/docs/concurrent-mode-suspense.html#approach-3-render-as-you-fetch-using-suspense\">render-as-you-fetch</a> y separación de código simplemente funcionan en Solid.</p><p>Para mas información, lee la <a href=\"/guides/server#server-side-rendering\">Guía de Servidor</a>.</p><h2 id=\"sin-compilar%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#sin-compilar%3F\">#</a> Sin compilar?</h2><p>Te desagrada JSX? No te molesta hacer trabajo manual para envolver expresiones, experimentando un peor desempeño, tener tamaños de bundle mas grandes? Alternativamente, puedes crear una App Solid usando Tagged Template Literals o HyperScript en entornos no compilados.</p><p>Puedes ejecutarlos directo en el navegador usando <a href=\"https://www.skypack.dev/\">Skypack</a>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t&lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t&lt;</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;module&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createSignal, onCleanup } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { render } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> html </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/html&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">contador</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setContador</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">),</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#005cc5\">timer</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setInterval</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">), </span><span style=\"color:#005cc5\">1000</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">onCleanup</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clearInterval</span><span style=\"color:#24292e\">(timer));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">html</span><span style=\"color:#032f62\">`&lt;div&gt;${</span><span style=\"color:#24292e\">contador</span><span style=\"color:#032f62\">}&lt;/div&gt;`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t};</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(App, document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t&lt;/</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t&lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><p>Recuerda que aún necesitaras la correspondiente librería de expresiones DOM para que estos funciones con Typescript. Puedes usar Tagged Template Literals con <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/lit-dom-expressions\">Lit DOM Expressions</a> o HyperScript usando <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/hyper-dom-expressions\">Hyper DOM Expressions</a>.</p></section>";
var attributes = {
	title: "Empezando",
	description: "Una guía sobre cómo empezar con Solid.",
	sort: 0
};
var sections = [
	{
		slug: "empezando",
		title: "Empezando",
		level: 1,
		children: [
			{
				slug: "prueba-solid",
				title: "Prueba Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "aprende-solid",
				title: "Aprende Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "piensa-solid",
				title: "Piensa Solid",
				level: 2,
				children: [
					{
						slug: "1.-datos-declarativos",
						title: "1. Datos Declarativos",
						level: 3,
						children: [
						]
					},
					{
						slug: "2.-desaparici%C3%B3n-de-componentes",
						title: "2. Desaparición de Componentes",
						level: 3,
						children: [
						]
					},
					{
						slug: "3.-segregaci%C3%B3n-de-lectura%2Fescritura",
						title: "3. Segregación de Lectura/Escritura",
						level: 3,
						children: [
						]
					},
					{
						slug: "4.-simple-es-mejor-que-f%C3%A1cil",
						title: "4. Simple es mejor que fácil",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "web-components",
				title: "Web Components",
				level: 2,
				children: [
				]
			},
			{
				slug: "renderizado-de-servidor",
				title: "Renderizado de Servidor",
				level: 2,
				children: [
				]
			},
			{
				slug: "sin-compilar%3F",
				title: "Sin compilar?",
				level: 2,
				children: [
				]
			}
		]
	}
];
var gettingStarted = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, gettingStarted as default, html, sections };
