var html = "<section class=\"mt-10\"><h1 id=\"%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B\">#</a> Начало работы</h1><h2 id=\"%D0%BF%D1%80%D0%BE%D0%B1%D1%83%D0%B5%D0%BC-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BF%D1%80%D0%BE%D0%B1%D1%83%D0%B5%D0%BC-solid\">#</a> Пробуем Solid</h2><p>Безусловно, самый простой способ начать работу с Solid - это попробовать его онлайн. <a href=\"https://playground.solidjs.com\">Наш REPL</a> - идеальный способ опробовать ваши идеи. Также у нас есть <a href=\"https://codesandbox.io/\">Sandbox</a>, где вы можете отредактировать любой из <a href=\"https://github.com/solidjs/solid/blob/main/documentation/resources/examples.md\">наших примеров</a>.</p><p>Кроме того, вы можете использовать наши простые <a href=\"https://vitejs.dev/\">Vite</a> шаблоны, выполнив следующие команды в своем терминале:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/js my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\">#  yarn/pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\">#  yarn/pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Или с поддержкой TypeScript:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npx degit solidjs/templates/ts my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-app</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i </span><span style=\"color:#6a737d\"># yarn/pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm run dev </span><span style=\"color:#6a737d\"># yarn/pnpm</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"%D0%B8%D0%B7%D1%83%D1%87%D0%B0%D0%B5%D0%BC-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%B8%D0%B7%D1%83%D1%87%D0%B0%D0%B5%D0%BC-solid\">#</a> Изучаем Solid</h2><p>Идея Solid состоит в том, что ваше приложение состоит из маленьких кусочков которые служат строительными блоками для приложений. Эти кусочки в основном представляют из себя функции, составляющие поверхностный API. К счастью, для начала вам не нужно знать о большинстве из них для работы с Solid.</p><p>В вашем распоряжении есть два основных типа строительных блоков: компоненты и реактивные примитивы.</p><p>Компоненты - это функции, которые принимают входные параметры (так называемые <code>пропсы</code>) и возвращают JSX элементы, включая DOM элементы и другие компоненты. Компоненты именуются в PascalCase и представляют из себя JSX элементы:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// Компонент</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">MyComponent</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;Привет {props.name}&lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">MyComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;Solid&quot;</span><span style=\"color:#24292e\"> /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>Компоненты легковесны, поскольку сами не имеют состояния и не имеют экземпляров. Вместо этого они служат функциями для создания для элементов DOM и реактивных примитивов.</p><p>Детальная (<code>fine-grained</code>) реактивность Solid основана на трех простых примитивах: <code>Сигнал</code>, <code>Мемо</code> и <code>Эффект</code>. Вместе они образуют механизм синхронизации с автоматическим отслеживанием, который обеспечивает обновленность вашего пользовательского интерфейса. Реактивные вычисления выполняются синхронно и принимают форму простых выражений обернутых в функции.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// Реактивный примитив - `Сигнал`</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">a</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setA</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">10</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">b</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setB</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">5</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// `Эффект`</span></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">sum</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">a</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">b</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">`${</span><span style=\"color:#6f42c1\">a</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} + ${</span><span style=\"color:#6f42c1\">b</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">} = ${</span><span style=\"color:#24292e\">sum</span><span style=\"color:#032f62\">}`</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><p>Вы можете узнать больше о <a href=\"#reactivity\">Реактивности Solid</a> и <a href=\"#rendering\">Solid Рендеринг</a>.</p><h2 id=\"%D1%84%D0%B8%D0%BB%D0%BE%D1%81%D0%BE%D1%84%D0%B8%D1%8F-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D1%84%D0%B8%D0%BB%D0%BE%D1%81%D0%BE%D1%84%D0%B8%D1%8F-solid\">#</a> Философия Solid</h2><p>Solid легче изучить и использовать, если вы знаете его философию.</p><p>В дизайне Solid заложены несколько основополагающих принципов и ценностей, которые помогут нам лучше всего создавать веб-сайты и приложения.</p><h3 id=\"1.-%D0%B4%D0%B5%D0%BA%D0%BB%D0%B0%D1%80%D0%B0%D1%82%D0%B8%D0%B2%D0%BD%D1%8B%D0%B5-%D0%B4%D0%B0%D0%BD%D0%BD%D1%8B%D0%B5\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-%D0%B4%D0%B5%D0%BA%D0%BB%D0%B0%D1%80%D0%B0%D1%82%D0%B8%D0%B2%D0%BD%D1%8B%D0%B5-%D0%B4%D0%B0%D0%BD%D0%BD%D1%8B%D0%B5\">#</a> 1. Декларативные данные</h3><p>Декларативные данные - это практика привязки описания поведения данных к их объявлениям. Это позволяет нам легко связывать данные с их поведением и хранить это всё в одном месте.</p><h3 id=\"2.-%D0%B8%D1%81%D1%87%D0%B5%D0%B7%D0%B0%D1%8E%D1%89%D0%B8%D0%B5-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-%D0%B8%D1%81%D1%87%D0%B5%D0%B7%D0%B0%D1%8E%D1%89%D0%B8%D0%B5-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B\">#</a> 2. Исчезающие компоненты</h3><p>Достаточно сложно структурировать компоненты без учета обновлений. Обновления в Solid полностью независимы от компонентов. Компонентные функции вызываются один раз, а затем просто исчезают. Компоненты существуют для организации вашего кода и ничего больше.</p><h3 id=\"3.-%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5-%D1%87%D1%82%D0%B5%D0%BD%D0%B8%D1%8F%2F%D0%B7%D0%B0%D0%BF%D0%B8%D1%81%D0%B8\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5-%D1%87%D1%82%D0%B5%D0%BD%D0%B8%D1%8F%2F%D0%B7%D0%B0%D0%BF%D0%B8%D1%81%D0%B8\">#</a> 3. Разделение чтения/записи</h3><p>Точный контроль и предсказуемость делают системы лучше. Нам не нужна настоящая неизменяемость (<code>immutability</code>), чтобы обеспечить однонаправленный поток, нам просто нужна способность принимать осознанное решение.</p><h3 id=\"4.-%D0%BF%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5-%D0%BB%D1%83%D1%87%D1%88%D0%B5-%D0%BB%D0%B5%D0%B3%D0%BA%D0%BE%D0%B3%D0%BE\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-%D0%BF%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5-%D0%BB%D1%83%D1%87%D1%88%D0%B5-%D0%BB%D0%B5%D0%B3%D0%BA%D0%BE%D0%B3%D0%BE\">#</a> 4. Простое лучше легкого</h3><p>В процессе создания идеального библиотеки неспроста была выбрана детальная реактивность. Наша цель состоит в том, чтобы предоставить разработчику минимальные инструменты, которые могли бы служить хорошим фундаментом для построения UI.</p><h2 id=\"%D0%B2%D0%B5%D0%B1-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%B2%D0%B5%D0%B1-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B\">#</a> Веб-компоненты</h2><p>По изначальной задумке Solid был библиотекой для работы с веб-компонентами. Со временем дизайн и цели Solid изменились. Впрочем, Solid по-прежнему остается отличным способом создания веб-компонентов. <a href=\"https://github.com/solidjs/solid/tree/main/packages/solid-element\">Solid-элемент</a> позволяет писать и оборачивать функциональные компоненты Solid для создания небольших и производительных веб-компонентов. Solid-элемент может использовать Solid Context API, а порталы Solid поддерживают Shadow DOM для добавления изолированных стилей.</p><h2 id=\"%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0\">#</a> Рендеринг на стороне сервера</h2><p>Solid предлагает решение для динамического рендеринга на стороне сервера, которое обеспечивает поистине изоморфный опыт разработки. Использование <code>Ресурсов</code>, встроенных в библиотеку Solid, для асинхронных запросов не просто облегчает работу со внешними API, но и автоматически сериализует и синхронизирует полученные данные между клиентом и браузером.</p><p>Поскольку Solid поддерживает асинхронный и рендеринг с помощью <a href=\"https://developer.mozilla.org/ru/docs/Web/API/Streams_API\">стримов</a> на сервере, вам не нужно думать об особенностях работы вашего кода на сервере - он будет отлично работать из коробки. Современная архитектура Solid и поддержка стримов означает, что такие фичи, как <a href=\"https://ru.reactjs.org/docs/concurrent-mode-suspense.html#approach-3-render-as-you-fetch-using-suspense\">render-as-you-fetch</a> и <a href=\"https://ru.reactjs.org/docs/code-splitting.html\">разделение кода</a> будут работать без проблем.</p><p>Для получения дополнительной информации прочтите <a href=\"/guides/server#server-side-rendering\">Рендеринг на стороне сервера</a>.</p><h2 id=\"%D0%BD%D0%B5%D1%82-%D0%BA%D0%BE%D0%BC%D0%BF%D0%B8%D0%BB%D1%8F%D1%86%D0%B8%D0%B8%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BD%D0%B5%D1%82-%D0%BA%D0%BE%D0%BC%D0%BF%D0%B8%D0%BB%D1%8F%D1%86%D0%B8%D0%B8%3F\">#</a> Нет компиляции?</h2><p>Не любите JSX? Не возражаете вручную оборачивать ваши выражения, падения производительности и больших размеров файлов? В качестве альтернативы вы можете использовать <a href=\"https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Template_literals#%D1%82%D0%B5%D0%B3%D0%BE%D0%B2%D1%8B%D0%B5_%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D1%8B_%D0%B8_%D1%8D%D0%BA%D1%80%D0%B0%D0%BD%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5_%D1%81%D0%B8%D0%BC%D0%B2%D0%BE%D0%BB%D0%BE%D0%B2\">теговые шаблоны</a> или HyperScript в средах в которых у вас нет возможности использовать компилятор.</p><p>Запускать их можно прямо из браузера, используя <a href=\"https://www.skypack.dev/\">Skypack</a>:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;module&quot;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        createSignal,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        onCleanup,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { render } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/web&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> html </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;https://cdn.skypack.dev/solid-js/html&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\">() {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">timer</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setInterval</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">() </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">), </span><span style=\"color:#005cc5\">1000</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">onCleanup</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clearInterval</span><span style=\"color:#24292e\">(timer));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">html</span><span style=\"color:#032f62\">`&lt;div&gt;${</span><span style=\"color:#24292e\">count</span><span style=\"color:#032f62\">}&lt;/div&gt;`</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      }</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(App, document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">script</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><p>Помните, что вам все еще нужна соответствующая библиотека выражений DOM для их работы с TypeScript. Вы можете использовать теговые шаблонные литералы с <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/lit-dom-expressions\">Lit DOM Выражениями</a> или HyperScript с <a href=\"https://github.com/ryansolid/dom-expressions/tree/main/packages/hyper-dom-expressions\">Hyper DOM Выражениями</a>.</p></section>";
var attributes = {
	title: "Начало работы",
	description: "Руководство по началу работы с Solid.",
	sort: 0
};
var sections = [
	{
		slug: "%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B",
		title: "Начало работы",
		level: 1,
		children: [
			{
				slug: "%D0%BF%D1%80%D0%BE%D0%B1%D1%83%D0%B5%D0%BC-solid",
				title: "Пробуем Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%B8%D0%B7%D1%83%D1%87%D0%B0%D0%B5%D0%BC-solid",
				title: "Изучаем Solid",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D1%84%D0%B8%D0%BB%D0%BE%D1%81%D0%BE%D1%84%D0%B8%D1%8F-solid",
				title: "Философия Solid",
				level: 2,
				children: [
					{
						slug: "1.-%D0%B4%D0%B5%D0%BA%D0%BB%D0%B0%D1%80%D0%B0%D1%82%D0%B8%D0%B2%D0%BD%D1%8B%D0%B5-%D0%B4%D0%B0%D0%BD%D0%BD%D1%8B%D0%B5",
						title: "1. Декларативные данные",
						level: 3,
						children: [
						]
					},
					{
						slug: "2.-%D0%B8%D1%81%D1%87%D0%B5%D0%B7%D0%B0%D1%8E%D1%89%D0%B8%D0%B5-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B",
						title: "2. Исчезающие компоненты",
						level: 3,
						children: [
						]
					},
					{
						slug: "3.-%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5-%D1%87%D1%82%D0%B5%D0%BD%D0%B8%D1%8F%2F%D0%B7%D0%B0%D0%BF%D0%B8%D1%81%D0%B8",
						title: "3. Разделение чтения/записи",
						level: 3,
						children: [
						]
					},
					{
						slug: "4.-%D0%BF%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5-%D0%BB%D1%83%D1%87%D1%88%D0%B5-%D0%BB%D0%B5%D0%B3%D0%BA%D0%BE%D0%B3%D0%BE",
						title: "4. Простое лучше легкого",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "%D0%B2%D0%B5%D0%B1-%D0%BA%D0%BE%D0%BC%D0%BF%D0%BE%D0%BD%D0%B5%D0%BD%D1%82%D1%8B",
				title: "Веб-компоненты",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0",
				title: "Рендеринг на стороне сервера",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%BD%D0%B5%D1%82-%D0%BA%D0%BE%D0%BC%D0%BF%D0%B8%D0%BB%D1%8F%D1%86%D0%B8%D0%B8%3F",
				title: "Нет компиляции?",
				level: 2,
				children: [
				]
			}
		]
	}
];
var gettingStarted = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, gettingStarted as default, html, sections };
