var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  return <div>Hello World!</div>;\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  return <div>Hello Solid World!</div>;\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "# Introduction\n\nWelcome to the Solid tutorial! This tutorial will walk you through Solid's main features. You can also refer to the API and guides to learn more about how Solid works.\n\n# What is Solid?\nSolid is a JavaScript framework for making interactive web applications.\nWith Solid, you can use your existing HTML and JavaScript knowledge to build components that can be reused throughout your app.\nSolid provides the tools to enhance your components with _reactivity_: declarative JavaScript code that links the user interface with the data that it uses and creates.\n\n# Anatomy of a Solid App\n\nA Solid App is composed of functions that we call components. Take a look at the `HelloWorld` function on the right: it directly returns a `div`! This mix of HTML and JavaScript is called JSX. Solid ships with a compiler that turns these tags into DOM nodes later on.\n\nJSX allows you to use most HTML elements in our app, but it also lets you create new elements. Once we've declared our `HelloWorld` function, we can use it as a `<HelloWorld>` tag throughout our app. \n\nThe entry point for any Solid App is the `render` function.  It takes 2 arguments, a function wrapping our application code and an existing element in the HTML to mount to:\n```jsx\nrender(() => <HelloWorld />, document.getElementById('app'))\n```\n# Leveraging this Tutorial\n\nEach lesson in the tutorial presents a Solid feature and a scenario to try it out. At any point you can click the solve button to see the solution or click reset to start over. The code editor itself has a console and an output tab where you can see the compiled output generated from your code. Look at it if you are curious to see how Solid generates code.\n\nHave fun!\n";
var introduction_basics = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_basics as default, lesson, markdown, solved };
