var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\n\nfunction App() {\n  return (\n    <h1>This is a Header</h1>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "nested",
			content: "export default () => <p>This is a Paragraph</p>"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport Nested from \"./nested\";\n\nfunction App() {\n  return (\n    <>\n      <h1>This is a Header</h1>\n      <Nested />\n    </>\n  );\n}\n\nrender(() => <App />, document.getElementById(\"app\"));\n"
		},
		{
			name: "nested",
			content: "export default () => <p>This is a Paragraph</p>"
		}
	]
};
var markdown = "При создании приложений вы захотите разбить код на части для лучшей модульности и возможности повторного использования. В Solid основной способ сделать это — создавать компоненты.\n\nКомпоненты — это просто функции, подобные функции `HelloWorld()`, которую мы использовали до сих пор. Что делает их особенными, так это то, что они обычно возвращают JSX и могут вызываться с помощью JSX в других компонентах.\n\nВ этом примере давайте добавим наш компонент `Nested` в наше приложение. Мы определили его в другом файле (вы можете поместить несколько компонентов в один файл если вам это необходимо). Сначала мы должны импортировать его:\n\n```js\nimport Nested from './nested';\n```\n\nЗатем нам нужно добавить компонент в наш JSX. Как и раньше, у нас есть несколько элементов, которые мы хотим вернуть, поэтому мы оборачиваем их во Фрагмент:\n\n```jsx\nfunction App() {\n\treturn (\n\t\t<>\n\t\t\t<h1>This is a Header</h1>\n\t\t\t<Nested />\n\t\t</>\n\t);\n}\n```\n\nКогда родительский компонент впервые отрисовывается, он выполнит функцию `Nested()` и больше не будет вызывать ее. Все обновления контролируются системой реактивности Solid, о которой мы расскажем в следующих уроках.\n";
var introduction_components = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_components as default, lesson, markdown, solved };
