var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n  const doubleCount = () => count() * 2;\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {doubleCount()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "Мы видели, что всякий раз, когда мы обращаемся к `Сигналу` в JSX, он автоматически обновляет UI при изменении этого `Сигнала`. Но сама функция компонента выполняется только один раз.\n\nМы можем создавать новые выражения, которые зависят от `Сигналов`, оборачивая его в функцию. Функция, которая обращается к `Сигналу`, сама является `Сигналом`: когда внутренний `Сигнал` изменяется, обновляются и его считыватели.\n\nВведем функцию `doubleCount`, удваивающую наш счетчик:\n\n```jsx\nconst doubleCount = () => count() * 2;\n```\n\nЗатем мы можем вызвать `doubleCount` точно так же, как `Cигнал` в нашем JSX:\n\n```jsx\nreturn <div>Count: {doubleCount()}</div>;\n```\n\nМы называем подобные функции `производными Сигналами` (`deferred Signal`), потому что они получают свою реактивность от `Сигнала`, к которому они обращаются. Сами они не хранят значение (если вы создаете производный `Сигнал`, но никогда не вызываете его, он будет удален из компилированного кода Solid, как и любая неиспользуемая функция), но они обновят любые `Эффекты`, которые зависят от них, и вызовут ьь, если эти `Сигналы` включены в представление.\n";
var introduction_derived = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_derived as default, lesson, markdown, solved };
