var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  return <div>Count: 0</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "_Signale_ sind der Grundpfeiler der Reaktivität in Solid. Sie enthalten einen Wert, der sich mit der Zeit ändert; wenn er geändert wird, wird automatisch alles aktualisiert, was das Signal benutzt.\n\nUm ein Signal zu erstellen, importiere man `createSignal` aus `solid-js` und ruft es wie folgt in unserer Counter-Komponente auf:\n```jsx\nconst [count, setCount] = createSignal(0);\n```\n\nDas Funktionsargument im create-Aufruf ist der initiale Wert und die Rückgabe ist ein Array mit zwei Funktionen, einem Getter und einem Setter. Mit [Destrukturierung](https://developer.mozilla.org/de/docs/Web/JavaScript/Reference/Operators/Destructuring_assignment) können wir diese Funktionen nach Belieben benennen. In diesem Fall, nennen wir den Getter `count` und den Setter `setCount`.\n\nEs ist wichtig, darauf zu achten, dass der erste zurückgegebene Wert ein Getter ist (eine Funktion, die den Wert zurückgibt) und nicht der Wert selbst. Das ist der Fall, weil das Framework verfolgen muss, wo das Signal gelesen wird, so dass es alle Aktualisierungen entsprechend weiterreichen kann.\n\nIn dieser Lektion werden wir JavaScripts `setInterval`-Funktion benutzen, um einen fortlaufend hochzählenden Zähler zu erstellen. Wir können unser `count`-Signal jede Sekunde aktualisieren, indem wir den folgenden Code unserer Counter-Komponente hinzufügen:\n\n```jsx\nsetInterval(() => setCount(count() + 1), 1000);\n```\n\nJeden Tick lesen wir den vorherigen Zählerstand, addieren 1 und setzen den neuen Wert.\n\n> Solids Signale akzeptieren auch die Funktions-Form, bei der man den vorherigen Wert erhält und den nächsten zurückgibt.\n> ```jsx\n> setCount(c => c + 1);\n> ```\n\nZuguterletzt müssen wir das Signal in unserem JSX lesen:\n\n```jsx\nreturn <div>Count: {count()}</div>;\n```\n";
var introduction_signals = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_signals as default, lesson, markdown, solved };
