var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  return <div>Count: 0</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "Signal 是最核心的响应式基本要素（primitive）。Signal 包含随时间变化的值。\n\n要创建 Signal，你可以从 `solid-js` 导入 `createSignal`，并在 Counter 组件调用它，如下所示：\n\n```jsx\nconst [count, setCount] = createSignal(0);\n```\n\n传递给 createSignal 调用的参数是初始值，createSignal 返回一个带有 2 个函数的数组，一个是 getter，一个是 setter。我们可以使用解构随意命名这些参数。根据场景，我们将 getter 命名为 `count` 和 setter 命名为 `setCount`。\n\n需要注意的是，第一个返回值是一个 getter 而不是值本身。这是因为框架需要拦截读取值的任何位置以自动跟踪更改。所以务必记住，访问值的位置很重要。\n\n在本课中，我们将使用 `setInterval` 来创建一个递增计数器。我们可以通过将下面的代码添加到我们的 Counter 组件来实现每一秒更新一次 `count` Signal。\n\n```jsx\nsetInterval(() => setCount(count() + 1), 1000);\n```\n\n读取之前的计数，加 1，然后设置新值。\n\n> Solid 的 Signal 也可以接收一个函数，你可以在其中使用前一个值来设置下一个值。\n>\n> ```jsx\n> setCount((c) => c + 1);\n> ```\n\n最后，我们需要在 JSX 代码中读取 Signal。\n\n```jsx\nreturn <div>Count: {count()}</div>;\n```\n";
var introduction_signals = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_signals as default, lesson, markdown, solved };
