var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  return <div>Count: 0</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal } from \"solid-js\";\n\nfunction Counter() {\n  const [count, setCount] = createSignal(0);\n\n  setInterval(() => setCount(count() + 1), 1000);\n\n  return <div>Count: {count()}</div>;\n}\n\nrender(() => <Counter />, document.getElementById('app'));"
		}
	]
};
var markdown = "`Сигналы` являются краеугольным камнем реактивности Solid. Они содержат значения, которые меняются со временем; когда вы меняете значение `Сигнала`, он автоматически обновляет все, что его использует.\n\nЧтобы создать `Сигнал`, давайте импортируем `createSignal` из `solid-js` и вызовем его из нашего компонента `Counter`:\n\n```jsx\nconst [count, setCount] = createSignal(0);\n```\n\nАргумент, переданный `createSignal`, — это начальное значение, а возвращаемое значение — это кортеж (`tuple`) с двумя функциями: [геттером](https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Functions/get) и [сеттером](https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Functions/set). С помощью [деструктуризации](https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Operators/Destructuring_assignment) мы можем называть эти функции как угодно. В этом случае мы называем геттер `count`, а сеттер - `setCount`.\n\nВажно отметить, что первое возвращаемое значение - это геттер (функция, возвращающая текущее значение), а не само значение. Это потому, что фреймворк должен отслеживать, где этот `Сигнал` считывается, чтобы он мог соответствующим образом всё обновлять.\n\nВ этом уроке мы будем использовать функцию JavaScript `setInterval` для создания периодически увеличивающегося счетчика. Мы можем обновлять наш `Сигнал` `count` каждую секунду, добавив этот код в наш компонент `Counter`:\n\n```jsx\nsetInterval(() => setCount(count() + 1), 1000);\n```\n\nКаждый шаг мы читаем предыдущее значение счетчика, прибавляем к нему 1 и устанавливаем новое.\n\n> `Сигналы` Solid также принимают такую форму функции, в которой вы можете использовать предыдущее значение для установки следующего значения.\n>\n> ```jsx\n> setCount(c => c + 1);\n> ```\n\nНаконец, нам нужно считать `Сигнал` в нашем JSX-коде:\n\n```jsx\nreturn <div>Count: {count()}</div>;\n```\n";
var introduction_signals = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_signals as default, lesson, markdown, solved };
