var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(on(a, (a) => {\n    console.log(a, b());\n  }, { defer: true }));\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "便宜上、Solid には `on` ヘルパーが用意されており、計算のための明示的な依存関係を設定できます。これは主に、どの Signal を追跡するかをより明確にするための簡潔な方法として使用されます（他の Signal が読み込まれていても追跡しません）。さらに `on` は、計算をすぐに実行せず、最初の変更時にのみ実行できるようにする `defer` オプションを提供します。\n\n`a` が更新されたときだけ Effect を実行し、値が変わるまで実行を延期するようにしてみましょう:\n\n```js\ncreateEffect(on(a, (a) => {\n  console.log(a, b());\n}, { defer: true }));\n```\n";
var reactivity_on = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_on as default, lesson, markdown, solved };
