var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, on } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(on(a, (a) => {\n    console.log(a, b());\n  }, { defer: true }));\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "편의를 위해 Solid는 계산에 필요한 디펜던시를 명시적으로 설정할 수 있도록 `on` 헬퍼를 제공합니다.\n이는 주로 어떤 Signal이 추적되는지에 대한 명시적이고 간결한 방법으로 사용됩니다(다른 Signal들을 읽더라도 이들은 추적하지 않음). 추가로 `on`은 `defer` 옵션을 제공하는데, 이를 사용하면 계산이 즉시 실행되지 않고 첫번째 변경시에만 실행되도록 할 수 있습니다.\n\nEffect가 `a`가 변경된 경우만 실행되도록 하고, 값이 변경될 때까지 실행을 연기하도록 해 보겠습니다:\n\n```js\ncreateEffect(on(a, (a) => {\n  console.log(a, b());\n}, { defer: true }));\n```\n";
var reactivity_on = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_on as default, lesson, markdown, solved };
