var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), untrack(b));\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "때로는 리액티브 컨텍스트 내에서도 Signal 읽기 작업을 추적하지 않는 것이 필요합니다.\nSolid는 래핑 계산이 읽기 작업을 추적하지 못하도록 하기 위해 `untrack` 이라는 헬퍼를 제공합니다.\n\n예제에서 `b`가 변경되었을 때, 로그를 출력하고 싶지 않다고 가정해 보겠습니다.\nEffect를 다음과 같이 변경하여 `b` Signal을 추적 해제할 수 있습니다:\n\n```js\ncreateEffect(() => {\n  console.log(a(), untrack(b));\n});\n```\nSignal은 함수이기 때문에 직접 전달할 수 있지만, `untrack`은 더 복잡한 동작으로 함수를 래핑할 수 있습니다.\n\n`untrack`이 읽기 추적을 비활성화하더라도, 쓰기 작업에는 영향을 미치지 않기 떄문에 쓰기 작업은 여전히 추적되고 옵저버에 알림이 가게 됩니다.\n";
var reactivity_untrack = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_untrack as default, lesson, markdown, solved };
