var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), b());\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { createSignal, createEffect, untrack } from \"solid-js\";\n\nconst App = () => {\n  const [a, setA] = createSignal(1);\n  const [b, setB] = createSignal(1);\n\n  createEffect(() => {\n    console.log(a(), untrack(b));\n  });\n\n  return <>\n    <button onClick={() => setA(a() + 1)}>Increment A</button>\n    <button onClick={() => setB(b() + 1)}>Increment B</button>\n  </>\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "たとえリアクティブコンテキスト内であっても、Signal の読み取りを追跡しないことが望ましい場合があります。Solid では、ラッピングの計算で読み取りを追跡しないようにする方法として、`untrack` ヘルパーを提供しています。\n\nこの例では、`b` が変更されたときに、ログ出したくないとします。Effect を以下のように変更することで、`b` Signal の追跡を解除できます:\n\n```js\ncreateEffect(() => {\n  console.log(a(), untrack(b));\n});\n```\nSignal は関数なので直接渡すことができますが、`untrack` はより複雑な動作をする関数をラップできます。\n\n`untrack` は読み取りの追跡を無効にしますが、書き込みには何の影響もありません。書き込みは依然として発生し、オブザーバーに通知されます。\n";
var reactivity_untrack = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { reactivity_untrack as default, lesson, markdown, solved };
