var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { For, createSignal } from \"solid-js\";\nimport { createStore } from \"solid-js/store\";\n\nconst App = () => {\n  let input;\n  let todoId = 0;\n  const [todos, setTodos] = createSignal([])\n  const addTodo = (text) => {\n    setTodos([...todos(), { id: ++todoId, text, completed: false }]);\n  }\n  const toggleTodo = (id) => {\n    setTodos(todos().map((todo) => (\n      todo.id !== id ? todo : { ...todo, completed: !todo.completed }\n    )));\n  }\n\n  return (\n    <>\n      <div>\n        <input ref={input} />\n        <button\n          onClick={(e) => {\n            if (!input.value.trim()) return;\n            addTodo(input.value);\n            input.value = \"\";\n          }}\n        >\n          Add Todo\n        </button>\n      </div>\n      <For each={todos()}>\n        {(todo) => {\n          const { id, text } = todo;\n          console.log(`Creating ${text}`)\n          return <div>\n            <input\n              type=\"checkbox\"\n              checked={todo.completed}\n              onchange={[toggleTodo, id]}\n            />\n            <span\n              style={{ \"text-decoration\": todo.completed ? \"line-through\" : \"none\"}}\n            >{text}</span>\n          </div>\n        }}\n      </For>\n    </>\n  );\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from \"solid-js/web\";\nimport { For } from \"solid-js\";\nimport { createStore } from \"solid-js/store\";\n\nconst App = () => {\n  let input;\n  let todoId = 0;\n  const [store, setStore] = createStore({ todos: [] })\n  const addTodo = (text) => {\n    setStore(\"todos\", todos => [...todos, { id: ++todoId, text, completed: false }]);\n  }\n  const toggleTodo = (id) => {\n    setStore(\"todos\", todo => todo.id === id, \"completed\", completed => !completed);\n  }\n\n  return (\n    <>\n      <div>\n        <input ref={input} />\n        <button\n          onClick={(e) => {\n            if (!input.value.trim()) return;\n            addTodo(input.value);\n            input.value = \"\";\n          }}\n        >\n          Add Todo\n        </button>\n      </div>\n      <For each={store.todos}>\n        {(todo) => {\n          const { id, text } = todo;\n          console.log(`Creating ${text}`)\n          return <div>\n            <input\n              type=\"checkbox\"\n              checked={todo.completed}\n              onchange={[toggleTodo, id]}\n            />\n            <span\n              style={{ \"text-decoration\": todo.completed ? \"line-through\" : \"none\" }}\n            >{text}</span>\n          </div>\n        }}\n      </For>\n    </>\n  );\n};\n\nrender(App, document.getElementById(\"app\"));\n"
		}
	]
};
var markdown = "ストアは、ネストしたリアクティビティに対する Solid の答えです。プロパティを追跡できるプロキシオブジェクトで、他のオブジェクトを含むことができ、そのオブジェクト自身は自動的にプロキシにラップされます。\n\n軽量化のため、Solid は追跡スコープでアクセスされるプロパティに対してのみ、基礎となる Signal を作成します。そのため、ストア内の Signal はすべて、要求に応じて遅延して作成されます。\n\n`createStore` の呼び出しは初期値を取り、Signal と同様の読み取り/書き込みのタプルを返します。最初の要素は読み取り専用のストアプロキシで、2 番目の要素はセッター関数です。\n\n最も基本的な形式のセッター関数は、プロパティが現在の状態にマージされるオブジェクトを受け取ります。また、パス構文もサポートしているので、ネストした更新を行なうことができます。このようにして、リアクティビティの制御を維持しつつ、きわめて正確な更新を行なうことができます。\n\n> Solid のパス構文には様々な形式があり、反復や範囲を指定する強力な構文もあります。完全なリファレンスについては API ドキュメントを参照してください。\n\nストアを使ってネストしたリアクティビティを実現するのがどれほど簡単か見てみましょう。コンポーネントの初期化を以下のように置き換えることができます:\n\n```js\nconst [store, setStore] = createStore({ todos: [] });\nconst addTodo = (text) => {\n  setStore('todos', (todos) => [...todos, { id: ++todoId, text, completed: false }]);\n};\nconst toggleTodo = (id) => {\n  setStore('todos', (t) => t.id === id, 'completed', (completed) => !completed);\n};\n```\n\nストアのパス構文を利用して、関数セッターで以前の状態を取得し、ネストした値で新しい状態を返すことができます。\n\nこれで完成です。テンプレートの残りの部分は、すでに細かく反応するようになっています（チェックボックスをクリックしてコンソールをチェックしてください）。\n";
var stores_createstore = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { stores_createstore as default, lesson, markdown, solved };
