var html = "<section class=\"mt-10\"><h1 id=\"faq\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#faq\">#</a> FAQ</h1><h3 id=\"1.-jsx-sem-vdom%3F-isso-%C3%A9-vaporware%3F-j%C3%A1-ouvi-vozes-proeminentes-como-os-autores-dos-outros-frameworks-dizerem-que-isso-n%C3%A3o-%C3%A9-poss%C3%ADvel.\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#1.-jsx-sem-vdom%3F-isso-%C3%A9-vaporware%3F-j%C3%A1-ouvi-vozes-proeminentes-como-os-autores-dos-outros-frameworks-dizerem-que-isso-n%C3%A3o-%C3%A9-poss%C3%ADvel.\">#</a> 1. JSX sem VDOM? Isso é vaporware? Já ouvi vozes proeminentes como os autores dos outros frameworks dizerem que isso não é possível.</h3><p>É possível quando você não tem o modelo de atualização do React. JSX é um Template DSL como qualquer outro. Apenas aquele que é mais flexível em certos aspectos. Inserir JavaScript arbitrário pode ser desafiador às vezes, mas não é diferente do suporte a operadores de propagação. Portanto, não, este não é um vaporware, mas uma abordagem comprovada como uma das mais eficazes.</p><p>O verdadeiro benefício vem em como ele é extensível. Você tem o compilador trabalhando para você, fornecendo atualizações DOM nativas ideais, mas tem toda a liberdade de uma biblioteca como React para escrever componentes usando técnicas como Render Props e Componentes de ordem superior ao lado de seus &quot;hooks&quot; reativos. Não gosta de como funciona o fluxo de controle do Solid? Escreva o seu próprio.</p><h3 id=\"2.-como-o-solid-tem-um-desempenho-t%C3%A3o-bom%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#2.-como-o-solid-tem-um-desempenho-t%C3%A3o-bom%3F\">#</a> 2. Como o Solid tem um desempenho tão bom?</h3><p>Gostaríamos de apontar para uma única coisa, mas realmente é a combinação de muitas decisões de design importantes:</p><ol> <li>Reatividade explícita para que apenas as coisas que deveriam ser reativas sejam rastreadas.</li> <li>Compile com a criação inicial em mente. O Solid usa heurística para afrouxar a granularidade e reduzir o número de cálculos feitos, mas mantém as atualizações principais granulares e de alto desempenho.</li> <li>Expressões reativas são apenas funções. Isso habilita &quot;Vanishing Components&quot; com avaliação preguiçosa da propriedade, removendo invólucros desnecessários e sobrecarga de sincronização.</li> </ol><p>Atualmente, essas são técnicas únicas em uma combinação que dá a Solid uma vantagem sobre a concorrência.</p><h3 id=\"3.-existe-react-compat%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#3.-existe-react-compat%3F\">#</a> 3. Existe React-Compat?</h3><p>Não. E provavelmente nunca haverá. Embora as APIs sejam semelhantes e os componentes muitas vezes possam ser movidos com pequenas edições, o modelo de atualização é fundamentalmente diferente. Os componentes React são renderizados continuamente, de forma que o código fora dos Hooks funcione de maneira muito diferente. As closures e regras de hook não são apenas desnecessários, mas podem ser usados de maneiras que não funcionam aqui.</p><p>Vue-compat, por outro lado, seria possível. Embora não haja planos de implementação atualmente.</p><h3 id=\"4.-por-que-a-desestrutura%C3%A7%C3%A3o-n%C3%A3o-funciona%3F-percebi-que-posso-consert%C3%A1-lo-envolvendo-todo-o-meu-componente-em-uma-fun%C3%A7%C3%A3o.\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#4.-por-que-a-desestrutura%C3%A7%C3%A3o-n%C3%A3o-funciona%3F-percebi-que-posso-consert%C3%A1-lo-envolvendo-todo-o-meu-componente-em-uma-fun%C3%A7%C3%A3o.\">#</a> 4. Por que a desestruturação não funciona? Percebi que posso consertá-lo envolvendo todo o meu componente em uma função.</h3><p>A reatividade ocorre no acesso à propriedade em objetos Prop e Store. Referenciá-los fora de uma computação reativa ou vinculativa não será rastreado. A desestruturação está perfeitamente bem dentro deles.</p><p>No entanto, envolver todo o seu componente em uma função não é o que você deseja fazer de forma irresponsável. Solid não possui um VDOM. Portanto, qualquer alteração controlada executará toda a função novamente, recriando tudo. Não faça isso.</p><h3 id=\"5.-voc%C3%AA-pode-adicionar-suporte-para-componentes-de-classe%3F-acho-que-os-ciclos-de-vida-s%C3%A3o-mais-f%C3%A1ceis-de-raciocinar.\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#5.-voc%C3%AA-pode-adicionar-suporte-para-componentes-de-classe%3F-acho-que-os-ciclos-de-vida-s%C3%A3o-mais-f%C3%A1ceis-de-raciocinar.\">#</a> 5. Você pode adicionar suporte para componentes de classe? Acho que os ciclos de vida são mais fáceis de raciocinar.</h3><p>Não é a intenção de oferecer suporte a componentes de classe. Os ciclos de vida do Solid estão ligados à programação do sistema reativo e são artificiais. Suponho que você poderia fazer uma classe disso, mas efetivamente todo o código do manipulador de não evento está basicamente sendo executado no construtor, incluindo a função de renderização. É apenas mais sintaxe como uma desculpa para tornar seus dados menos granulares.</p><p>Agrupe dados e seus comportamentos juntos, em vez de ciclos de vida. Esta é uma prática recomendada reativa que funcionou por décadas.</p><h3 id=\"6.-eu-realmente-n%C3%A3o-gosto-de-jsx%2C-alguma-chance-de-um-template-dsl%3F-oh%2C-vejo-que-voc%C3%AA-tem-tagged-template-literals%2Fhyperscript.-talvez-eu-use-aqueles-...\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#6.-eu-realmente-n%C3%A3o-gosto-de-jsx%2C-alguma-chance-de-um-template-dsl%3F-oh%2C-vejo-que-voc%C3%AA-tem-tagged-template-literals%2Fhyperscript.-talvez-eu-use-aqueles-...\">#</a> 6. Eu realmente não gosto de JSX, alguma chance de um Template DSL? Oh, vejo que você tem Tagged Template Literals/HyperScript. Talvez eu use aqueles ...</h3><p>Não. Pare você aí mesmo. Usamos JSX da mesma forma que o Svelte usa seus modelos, para criar instruções DOM otimizadas. As soluções Tagged Template Literal e HyperScript podem ser realmente impressionantes por si mesmas, mas a menos que você tenha um motivo real como um requisito de não construção, elas são inferiores em todos os sentidos. Pacotes maiores, desempenho mais lento e a necessidade de valores de agrupamento de solução alternativa manual.</p><p>É bom ter opções, mas o JSX do Solid é realmente a melhor solução aqui. Um modelo DSL também seria ótimo, embora mais restritivo, mas o JSX nos dá muito de graça. TypeScript, Parsers existentes, Realce de sintaxe, TypeScript, Prettier, Code Completion e, por último, e não menos importante, TypeScript.</p><p>Outras bibliotecas têm adicionado suporte para esses recursos, mas isso tem sido um esforço enorme e ainda é imperfeito e uma dor de cabeça de manutenção constante. Isso é realmente assumir uma postura pragmática.</p><h3 id=\"7.-quando-eu-uso-um-signal-vs-store%3F-por-que-s%C3%A3o-diferentes%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#7.-quando-eu-uso-um-signal-vs-store%3F-por-que-s%C3%A3o-diferentes%3F\">#</a> 7. Quando eu uso um Signal vs Store? Por que são diferentes?</h3><p>Os Stores agrupam automaticamente os valores aninhados, tornando-os ideais para estruturas de dados profundas e para coisas como modelos. Para a maioria das outras coisas, Signals são leves e fazem o trabalho maravilhosamente.</p><p>Por mais que adoraríamos agrupá-los como uma única coisa, você não pode proxy de primitivas. As funções são a interface mais simples e qualquer expressão reativa (incluindo acesso de estado) pode ser agrupada em uma no transporte, portanto, isso fornece uma API universal. Você pode nomear seus sinais e estado como você escolher e permanecerá mínimo. A última coisa que gostaríamos de fazer é forçar a digitação de <code>.get()</code> <code>.set()</code> no usuário final ou, pior ainda, <code>.value</code>. Pelo menos o primeiro pode ter um alias para brevidade, enquanto o último é apenas a maneira menos concisa de chamar uma função.</p><h3 id=\"8.-por-que-n%C3%A3o-posso-simplesmente-atribuir-um-valor-ao-solid's-store-como-fa%C3%A7o-no-vue.-svelte-ou-mobx%3F-onde-est%C3%A1-a-liga%C3%A7%C3%A3o-bidirecional%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#8.-por-que-n%C3%A3o-posso-simplesmente-atribuir-um-valor-ao-solid's-store-como-fa%C3%A7o-no-vue.-svelte-ou-mobx%3F-onde-est%C3%A1-a-liga%C3%A7%C3%A3o-bidirecional%3F\">#</a> 8. Por que não posso simplesmente atribuir um valor ao Solid's Store como faço no Vue. Svelte ou MobX? Onde está a ligação bidirecional?</h3><p>A reatividade é uma ferramenta poderosa, mas também perigosa. MobX sabe disso e introduziu o modo estrito e ações para limitar onde/quando as atualizações ocorrem. No Solid, que lida com árvores de componentes inteiras de dados, tornou-se aparente que podemos aprender algo com o React aqui. Você não precisa ser realmente imutável, desde que forneça os meios para ter o mesmo contrato.</p><p>Ser capaz de aprovar a capacidade de atualizar o estado é indiscutivelmente ainda mais importante do que decidir aprovar o estado. Portanto, ser capaz de separá-lo é importante e só é possível se a leitura for imutável. Também não precisamos pagar o custo da imutabilidade se ainda pudermos fazer uma atualização granular. Felizmente, existem toneladas de arte anterior aqui entre ImmutableJS e Immer. Ironicamente, Solid atua principalmente como um Immer reverso com seus internos mutáveis e interface imutável.</p><h3 id=\"9.-posso-usar-a-reatividade-do-solid-por-conta-pr%C3%B3pria%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#9.-posso-usar-a-reatividade-do-solid-por-conta-pr%C3%B3pria%3F\">#</a> 9. Posso usar a reatividade do Solid por conta própria?</h3><p>É claro. Embora não tenhamos exportado um pacote autônomo, é fácil instalar o Solid sem o compilador e apenas usar os primitivos reativos. Um dos benefícios da reatividade granular é que ela é agnóstica para a biblioteca. Por falar nisso, quase todas as bibliotecas reativas funcionam dessa maneira. Isso é o que inspirou <a href=\"https://github.com/solidjs/solid\">Solid</a> e sua <a href=\"https://github.com/ryansolid/dom-expressions\">biblioteca de expressões DOM</a> subjacente em primeiro lugar para fazer um renderizador puramente do sistema reativo.</p><p>Para listar alguns para tentar: <a href=\"https://github.com/solidjs/solid\">Solid</a>, <a href=\"https://github.com/mobxjs/mobx\">MobX</a>, <a href=\"https://github.com/knockout/knockout\">Knockout</a>, <a href=\"https://github.com/sveltejs/svelte\">Svelte</a>, <a href=\"https://github.com/adamhaile/S\">S.js</a>, <a href=\"https://github.com/Riim/cellx\">CellX</a>, <a href=\"https://github.com/ds300/derivablejs\">Derivable</a>, <a href=\"https://github.com/luwes/sinuous\">Sinuous</a> e até recentemente <a href=\"https://github.com/vuejs/vue\">Vue</a>. Muito mais é necessário para fazer uma biblioteca reativa do que marcá-la em um renderizador como <a href=\"https://github.com/Polymer/lit-html\">lit-html</a> por exemplo, mas é uma boa maneira de ter uma ideia.</p><h3 id=\"10.-o-solid-tem-um-next.js-ou-uma-biblioteca-de-componentes-de-material-que-eu-possa-usar%3F\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#10.-o-solid-tem-um-next.js-ou-uma-biblioteca-de-componentes-de-material-que-eu-possa-usar%3F\">#</a> 10. O Solid tem um Next.js ou uma biblioteca de componentes de material que eu possa usar?</h3><p>Não é do nosso conhecimento. Se você estiver interessado em construir um, estamos prontamente disponíveis em nosso <a href=\"https://discord.com/invite/solidjs\">Discord</a> para ajudar a construí-los. Temos os fundamentos e apenas precisamos desenvolvê-los.</p></section>";
var attributes = {
	title: "FAQ",
	description: "Perguntas frequentes da comunidade.",
	sort: 5
};
var sections = [
	{
		slug: "faq",
		title: "FAQ",
		level: 1,
		children: [
		]
	}
];
var faq = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, faq as default, html, sections };
