var html = "<section class=\"mt-10\"><h1 id=\"%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0-(ssr)\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0-(ssr)\">#</a> Рендеринг на стороне сервера (<code>SSR</code>)</h1><p>Solid обрабатывает серверный рендеринг, компилируя шаблоны JSX в сверхэффективный код добавления строк. Это может быть достигнуто с помощью плагина babel, с помощью аргумента <code>generate: 'ssr'</code>. Для того, чтобы код мог подключиться после отправки с сервера на клиенте вам необходимо передать <code>hydratable: true</code>, чтобы сгенерировать код, с <a href=\"https://github.com/gatsbyjs/gatsby-ru/blob/master/docs/docs/react-hydration.md\">гидрацией</a>.</p><p>Среды выполнения solid-js и solid-js/web меняются местами на нереактивные аналоги при работе с Node. Для других сред вам нужно будет связать код сервера с условным экспортом, установленным как <code>node</code>. У большинства сборщиков кода (<code>bundlers</code>) есть способ сделать это. В общем, мы также рекомендуем использовать условия экспорта <code>solid</code>, а также рекомендуется, чтобы библиотеки поставляли свой исходный код с экспортом <code>solid</code>.</p><p>Сборка для SSR определенно требует немного большей настройки, потому что мы будем генерировать 2 отдельных бандла. В записи клиента следует использовать <code>hydrate</code>:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { hydrate } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js/web&#39;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">hydrate</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;, document)</span></span>\n<span class=\"line\"></span></code></pre><p><em>Примечание: рендеринг и гидрация должны происходить в главном компоненте (<code>Entry</code>). Это позволяет нам полностью описать наш интерфейс в JSX.</em></p><p>Сервер может использовать один из четырех вариантов рендеринга. Каждый вариант также создает JS код, который вставляется в заголовок документа.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { renderToString, renderToStringAsync, renderToNodeStream, renderToWebStream } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js/web&#39;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Синхронный рендеринг строки</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToString</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;)</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// Асинхронный рендеринг строки</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToStringAsync</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;)</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// API-интерфейс Node Stream</span></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">pipeToNodeWritable</span><span style=\"color:#24292e\">(App, res)</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// API веб-потока (например, Cloudflare Workers)</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">readable</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">writable</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">TransformStream</span><span style=\"color:#24292e\">()</span></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">pipeToWritable</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#22863a\">App</span><span style=\"color:#24292e\"> /&gt;, writable)</span></span>\n<span class=\"line\"></span></code></pre><p>Для вашего удобства solid-js/web экспортирует флаг <code>isServer</code>. Это полезно еще и для бандлеров, если нужно что-то выполнить на стороне только клиента/сервера.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { isServer } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js/web&#39;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (isServer) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// Только на сервере</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">} </span><span style=\"color:#d73a49\">else</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// Только в браузере</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"%D1%81%D0%BA%D1%80%D0%B8%D0%BF%D1%82-%D0%B3%D0%B8%D0%B4%D1%80%D0%B0%D1%86%D0%B8%D0%B8\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D1%81%D0%BA%D1%80%D0%B8%D0%BF%D1%82-%D0%B3%D0%B8%D0%B4%D1%80%D0%B0%D1%86%D0%B8%D0%B8\">#</a> Скрипт гидрации</h2><p>Для постепенной гидрации даже до загрузки среды выполнения Solid на страницу необходимо вставить специальный скрипт. Его можно либо сгенерировать и вставить через <code>generateHydrationScript</code>, либо включить как часть JSX с помощью тега<code>&lt;HydrationScript /&gt;</code>.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { generateHydrationScript } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js/web&#39;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">app</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">renderToString</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">App</span><span style=\"color:#24292e\"> /&gt;)</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">`</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">  &lt;html lang=&quot;en&quot;&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;head&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;title&gt;🔥 Solid SSR 🔥&lt;/title&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;meta charset=&quot;UTF-8&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      &lt;link rel=&quot;stylesheet&quot; href=&quot;/styles.css&quot; /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">      ${</span><span style=\"color:#6f42c1\">generateHydrationScript</span><span style=\"color:#032f62\">()</span><span style=\"color:#032f62\">}</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;/head&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">    &lt;body&gt;${</span><span style=\"color:#24292e\">app</span><span style=\"color:#032f62\">}&lt;/body&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">  &lt;/html&gt;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\">`</span></span>\n<span class=\"line\"></span></code></pre><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { HydrationScript } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js/web&#39;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">App</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">lang</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;en&#39;</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;</span><span style=\"color:#22863a\">head</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">title</span><span style=\"color:#24292e\">&gt;🔥 Solid SSR 🔥&lt;/</span><span style=\"color:#22863a\">title</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">meta</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">charset</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;UTF-8&#39;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">meta</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;viewport&#39;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">content</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;width=device-width, initial-scale=1.0&#39;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">link</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">rel</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;stylesheet&#39;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">href</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;/styles.css&#39;</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        &lt;</span><span style=\"color:#22863a\">HydrationScript</span><span style=\"color:#24292e\"> /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;/</span><span style=\"color:#22863a\">head</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;{</span><span style=\"color:#6a737d\">/*... Приложение */</span><span style=\"color:#24292e\">}&lt;/</span><span style=\"color:#22863a\">body</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">html</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  )</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>При гидрации из документа некоторые ресурсы, которые будут недоступны в клиентской части, также могут выдать ошибку. Solid предоставляет компонент <code>&lt;NoHydration&gt;</code>, дочерние элементы которого будут нормально работать на сервере, но не будут гидрироваться в браузере.</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">NoHydration</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  {manifest.</span><span style=\"color:#6f42c1\">map</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">m</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">link</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">rel</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;modulepreload&#39;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">href</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{m.href} /&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ))}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">NoHydration</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"%D0%B0%D1%81%D0%B8%D0%BD%D1%85%D1%80%D0%BE%D0%BD%D0%BD%D1%8B%D0%B9-%D0%B8-%D0%BF%D0%BE%D1%82%D0%BE%D0%BA%D0%BE%D0%B2%D1%8B%D0%B9-ssr\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%B0%D1%81%D0%B8%D0%BD%D1%85%D1%80%D0%BE%D0%BD%D0%BD%D1%8B%D0%B9-%D0%B8-%D0%BF%D0%BE%D1%82%D0%BE%D0%BA%D0%BE%D0%B2%D1%8B%D0%B9-ssr\">#</a> Асинхронный и потоковый SSR</h2><p>Эти механизмы основаны на знании Solid о том, как работает ваше приложение. Это достигается за счет использования <code>Suspense</code> и API <code>Ресурсов</code> на сервере вместо предварительной выборки и последующего рендеринга. Solid загружает компоненты по мере их доступности, как на сервере, так и на клиенте. Ваш код и шаблоны выполнения написаны точно так же.</p><p>Асинхронный рендеринг ждет, пока все границы <code>Suspense</code> не выполнятся, а затем отправляет результаты (или записывает их в файл в случае создания статического сайта).</p><p>Потоковая передача начинает сбрасывать синхронный контент в браузер, немедленно запуская рендеринг <code>fallback</code> копонентов вашего <code>Suspense</code> на сервере. Затем, когда асинхронные данные заканчиваются на сервере, он отправляет данные в том же потоке клиенту, чтобы успешно завершить процесс <code>Suspense</code>, где браузер заменит все <code>fallback</code> на реальный контент.</p><p>Преимущество такого подхода:</p><ul> <li>Серверу не нужно ждать ответа от асинхронных данных. <code>Ресурсы</code> начнут загружаться в браузере раньше, и пользователь, соответственно, раньше увидит контент.</li> <li>По сравнению с клиентской выборкой, такой как <code>JAMStack</code>, загрузка данных начинается на сервере немедленно и не требует ожидания загрузки клиентского JavaScript.</li> <li>Все данные сериализуются и автоматически передаются от сервера к клиенту.</li> </ul><h2 id=\"%D0%BF%D1%80%D0%B5%D0%B4%D0%BE%D1%81%D1%82%D0%B5%D1%80%D0%B5%D0%B6%D0%B5%D0%BD%D0%B8%D1%8F-%D0%BF%D0%BE-ssr\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BF%D1%80%D0%B5%D0%B4%D0%BE%D1%81%D1%82%D0%B5%D1%80%D0%B5%D0%B6%D0%B5%D0%BD%D0%B8%D1%8F-%D0%BF%D0%BE-ssr\">#</a> Предостережения по SSR</h2><p>Решение Solid's для <code>Isomorphic SSR</code> очень мощное, поскольку вы можете писать свой код универсально, и он будет работать одинаково в обеих средах. Однако есть ожидания, что это приведет к гидрации. В основном визуализированный вид на клиенте такой же, как и на сервере. Необязательно, чтобы текст был точным, но структурно разметка должна быть такой же.</p><p>Мы используем маркеры, отображаемые на сервере, для сопоставления элементов и местоположений ресурсов на сервере. По этой причине Клиент и Сервер должны иметь одинаковые компоненты. Обычно это не проблема, учитывая, что Solid визуализирует одинаково на клиенте и сервере. Но в настоящее время нет средств для рендеринга на сервере чего-то, что не гидрировалось бы на клиенте. В настоящее время нет возможности частично гидрировать всю страницу и не создавать для нее маркеры гидрации. Все или ничего. Частичная гидрация (<code>Partial Hydration</code>) - это то, что мы хотим изучить в будущем.</p><p>Наконец, все ресурсы должны быть определены в дереве рендеринга. Они автоматически сериализуются и обрабатываются в браузере, однако это работает, потому что методы <code>render</code> или <code>pipeTo</code> отслеживают ход визуализации. Это то, чего мы не можем сделать, если они созданы в изолированном контексте. Точно так же на сервере нет реактивности, поэтому не обновляйте <code>Сигналы</code> при первоначальном рендеринге и ожидайте, что они будут отражаться выше по дереву. Хотя у нас есть границы приостановки, SSR Solid в основном работает сверху вниз.</p><h2 id=\"%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-ssr\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-ssr\">#</a> Начало работы с SSR</h2><p>Конфигурации SSR непростые. У нас есть несколько примеров в пакете <a href=\"https://github.com/solidjs/solid/blob/main/packages/solid-ssr\">solid-ssr</a>.</p><p>Однако в разработке находится новое средство для старта проекта <a href=\"https://github.com/solidjs/solid-start\">SolidStart</a>, которое призвано сделать этот опыт более плавным.</p><h2 id=\"%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5%D0%BC-%D1%81%D1%82%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B8%D1%85-%D1%81%D0%B0%D0%B9%D1%82%D0%BE%D0%B2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5%D0%BC-%D1%81%D1%82%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B8%D1%85-%D1%81%D0%B0%D0%B9%D1%82%D0%BE%D0%B2\">#</a> Начало работы с созданием статических сайтов</h2><p><a href=\"https://github.com/solidjs/solid/blob/main/packages/solid-ssr\">solid-ssr</a> также поставляется с простой утилитой для создания статических или предварительно отрисованных сайтов. Прочтите README для получения дополнительной информации.</p></section>";
var attributes = {
	title: "Сервер",
	description: "Серверные возможности Solid",
	sort: 3
};
var sections = [
	{
		slug: "%D1%80%D0%B5%D0%BD%D0%B4%D0%B5%D1%80%D0%B8%D0%BD%D0%B3-%D0%BD%D0%B0-%D1%81%D1%82%D0%BE%D1%80%D0%BE%D0%BD%D0%B5-%D1%81%D0%B5%D1%80%D0%B2%D0%B5%D1%80%D0%B0-(ssr)",
		title: "Рендеринг на стороне сервера (SSR)",
		level: 1,
		children: [
			{
				slug: "%D1%81%D0%BA%D1%80%D0%B8%D0%BF%D1%82-%D0%B3%D0%B8%D0%B4%D1%80%D0%B0%D1%86%D0%B8%D0%B8",
				title: "Скрипт гидрации",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%B0%D1%81%D0%B8%D0%BD%D1%85%D1%80%D0%BE%D0%BD%D0%BD%D1%8B%D0%B9-%D0%B8-%D0%BF%D0%BE%D1%82%D0%BE%D0%BA%D0%BE%D0%B2%D1%8B%D0%B9-ssr",
				title: "Асинхронный и потоковый SSR",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%BF%D1%80%D0%B5%D0%B4%D0%BE%D1%81%D1%82%D0%B5%D1%80%D0%B5%D0%B6%D0%B5%D0%BD%D0%B8%D1%8F-%D0%BF%D0%BE-ssr",
				title: "Предостережения по SSR",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-ssr",
				title: "Начало работы с SSR",
				level: 2,
				children: [
				]
			},
			{
				slug: "%D0%BD%D0%B0%D1%87%D0%B0%D0%BB%D0%BE-%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%8B-%D1%81-%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5%D0%BC-%D1%81%D1%82%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B8%D1%85-%D1%81%D0%B0%D0%B9%D1%82%D0%BE%D0%B2",
				title: "Начало работы с созданием статических сайтов",
				level: 2,
				children: [
				]
			}
		]
	}
];
var server = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, server as default, html, sections };
