var html = "<section class=\"mt-10\"><h1 id=\"solid-%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> Solid のテスト</h1><p>Solid のコードを本番環境で使用するには、テストする必要があります。すべてを手動でテストしたくはないので、自動テストが必要です。Solid コードのテストは、すべてをセットアップし、テストに役立ついくつかのパターンを知っていれば簡単に行うことができます。</p><h2 id=\"%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%82%BB%E3%83%83%E3%83%88%E3%82%A2%E3%83%83%E3%83%97\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%82%BB%E3%83%83%E3%83%88%E3%82%A2%E3%83%83%E3%83%97\">#</a> テストのセットアップ</h2><p>テストをセットアップする前に、テストランナーを選択する必要があります。豊富な選択肢がありますが、ここでは両極端な 2 つの全く異なるプロジェクト、Jest と uvu に焦点を当てます。Jest は大きくて総合型、uvu は必要最低限のものだけをもたらします。もし他のテストランナーを使いたい場合でも、uvu のセットアップは他のほとんどのテストランナーでも動作するはずです。</p><h3 id=\"jest-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#jest-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B\">#</a> Jest を設定する</h3><p>残念ながら、統合されているとはいえ Jest は ESM や TypeScript をそのままではサポートせず、トランスフォーマーの設定が必要です。</p><p>主な選択肢は solid-jest と ts-jest です。solid-jest は Solid コードの変換に babel を使用し、TypeScript が使われている場合はテスト時の型チェックを省略します。ts-jest は TypeScript コンパイラを使用し、テスト時の型チェックを行います。</p><p>TypeScript を使用していない場合は solid-jest を使用し、そうでない場合はテストの実行中に型チェックを行いたいかどうかを選択します。</p><h4 id=\"solid-jest-%E3%82%92%E4%BD%BF%E3%81%86\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-jest-%E3%82%92%E4%BD%BF%E3%81%86\">#</a> solid-jest を使う</h4><p>必要な依存関係をインストールします:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest solid-jest </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>TypeScript の場合は:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest solid-jest @types/jest </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>次に <code>.babelrc</code> を定義していなければ定義する必要があります:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;presets&quot;</span><span style=\"color:#24292e\">: [</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;@babel/preset-env&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;babel-preset-solid&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// solid-jest で TS を使用する場合のみ</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;@babel/preset-typescript&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>そして <code>package.json</code> を以下のように修正します:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;scripts&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// ここに他のスクリプト</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;test&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jest&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;preset&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;solid-jest/preset/browser&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// setupFiles や他のコンフィグを挿入します</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"ts-jest-%E3%82%92%E4%BD%BF%E3%81%86\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#ts-jest-%E3%82%92%E4%BD%BF%E3%81%86\">#</a> ts-jest を使う</h4><p>ts-jest を使うには、まずインストールする必要があります:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest ts-jest @types/jest </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>そして <code>package.json</code> で設定します:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{ </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;scripts&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// ここに他のスクリプト</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;test&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jest&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;preset&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;ts-jest&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;globals&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;ts-jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#032f62\">&quot;tsconfig&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;tsconfig.json&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#032f62\">&quot;babelConfig&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          </span><span style=\"color:#032f62\">&quot;presets&quot;</span><span style=\"color:#24292e\">: [</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">            </span><span style=\"color:#032f62\">&quot;babel-preset-solid&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">            </span><span style=\"color:#032f62\">&quot;@babel/preset-env&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          ]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// ブラウザモードでテストするために</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// setupFiles と他の設定を挿入します:</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;testEnvironment&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jsdom&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// 残念ながら、solid はここでブラウザモードを検出できないので、</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// 正しいバージョンを手動で指定する必要があります:</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;moduleNameMapper&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;&lt;rootDir&gt;/node_modules/solid-js/web/dist/web.cjs&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;&lt;rootDir&gt;/node_modules/solid-js/dist/solid.cjs&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// Windows ユーザーは &quot;/&quot; を &quot;\\&quot; に置き換えてください</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"typescript-%E3%81%A8-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#typescript-%E3%81%A8-jest\">#</a> TypeScript と Jest</h3><p>Jest はテスト機能をグローバルスコープに注入するので、TypeScript コンパイラを満たすために、型を tsconfig.json にロードする必要があります:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// tsconfig.json の一部</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;types&quot;</span><span style=\"color:#24292e\">: [</span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>これには前述のように <code>@types/jest</code> をインストールする必要があります。</p><h3 id=\"uvu-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#uvu-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B\">#</a> uvu を設定する</h3><p>まず、必要なパッケージをインストールする必要があります:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev uvu solid-register jsdom </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>次に <code>package.json</code> でテストスクリプトを設定します:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#005cc5\">test</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu -r solid-register&quot;</span></span>\n<span class=\"line\"></span></code></pre><p>追加の設定ファイルは <code>-r setup.ts</code> で追加でき、テストでないものは <code>-i not-a-test.test.ts</code> で無視できます。</p><h3 id=\"%E3%82%AB%E3%83%90%E3%83%AC%E3%83%83%E3%82%B8%E3%83%AC%E3%83%9D%E3%83%BC%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%82%AB%E3%83%90%E3%83%AC%E3%83%83%E3%82%B8%E3%83%AC%E3%83%9D%E3%83%BC%E3%83%88\">#</a> カバレッジレポート</h3><p>テストのコードカバレッジを確認したい場合、uvu のお気に入りのツールは c8 です。インストールと設定のために、以下を実行します:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev c8 </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:coverage&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;c8 uvu -r solid-register&quot;</span></span>\n<span class=\"line\"></span></code></pre><p>これで <code>npm run test:coverage</code> を実行すると、テストのカバレッジが表示されるようになります。</p><p>HTML 形式のカバレッジレポートが欲しい場合は、（訳注: 原文がここで終わっている）</p><h3 id=\"watch-%E3%83%A2%E3%83%BC%E3%83%89\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#watch-%E3%83%A2%E3%83%BC%E3%83%89\">#</a> Watch モード</h3><p><code>uvu</code> と <code>tape</code> はどちらもすぐに使用できるウォッチモードはありませんが、 <code>chokidar-cli</code> を使用して同じことを行うことができます:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev chokidar-cli </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:watch&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;chokidar src/**/*.ts src/**/*.tsx -c </span><span style=\"color:#005cc5\">\\&quot;</span><span style=\"color:#032f62\">uvu -r solid-register</span><span style=\"color:#005cc5\">\\&quot;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\"># use .js/.jsx instead of .ts/.tsx</span></span>\n<span class=\"line\"></span></code></pre><p>これで <code>npm run test:watch</code> を実行すると、ファイルを変更するたびにテストが実行されるようになります。</p><h3 id=\"solid-testing-library\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-testing-library\">#</a> solid-testing-library</h3><p>もしコンポーネントをテストしたいのであれば、<code>solid-testing-library</code> を必ずインストールしてください:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev solid-testing-library </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>これにより、コンポーネントをレンダリングし、イベントを発生させ、ユーザーの視点から要素を選択できます。</p><h3 id=\"%40testing-library%2Fjest-dom\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%40testing-library%2Fjest-dom\">#</a> @testing-library/jest-dom</h3><p>Jest を使用している場合、<code>solid-testing-library</code> は <code>@testing-library/jest-dom</code> と非常にうまく動作します:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev @testing-library/jest-dom </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>そして、セットアップファイルで期待する拡張子をインポートします:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// test/jest-setup.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;@testing-library/jest-dom/extend-expect&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span></code></pre><p>そして、package.json の以下の項目を使用して、Jest でロードします:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// ここに他の設定</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    setupFiles: [</span><span style=\"color:#032f62\">&quot;@testing-library/jest-dom/extend-expect&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;regenerator-runtime&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>また、<code>tsconfig.json</code> に型を含めることも忘れないでください:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// tsconfig.json の一部</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;types&quot;</span><span style=\"color:#24292e\">: [</span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;@testing-library/jest-dom&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"solid-dom-testing\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-dom-testing\">#</a> solid-dom-testing</h3><p>uvu や tape などの他のテストランナーを使用している場合、 <code>solid-dom-testing</code> には同様のアサーションをサポートするヘルパーがいくつかあります:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev solid-dom-testing </span><span style=\"color:#6a737d\"># もしくは yarn add -D もしくは pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>設定は不要で、必要に応じてテストでヘルパーをインポートして使用できます。</p><h2 id=\"%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%83%91%E3%82%BF%E3%83%BC%E3%83%B3%E3%81%A8%E3%83%99%E3%82%B9%E3%83%88%E3%83%97%E3%83%A9%E3%82%AF%E3%83%86%E3%82%A3%E3%82%B9\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%83%91%E3%82%BF%E3%83%BC%E3%83%B3%E3%81%A8%E3%83%99%E3%82%B9%E3%83%88%E3%83%97%E3%83%A9%E3%82%AF%E3%83%86%E3%82%A3%E3%82%B9\">#</a> テストのパターンとベストプラクティス</h2><p>さて、テストツールのインストールが完了したら、次はそれらを使ってみましょう。これを簡単にするため、Solid はいくつかのすばらしいパターンをサポートしています。</p><h3 id=\"%E3%83%AA%E3%82%A2%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AA%E7%8A%B6%E6%85%8B%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%83%AA%E3%82%A2%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AA%E7%8A%B6%E6%85%8B%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> リアクティブな状態のテスト</h3><p>メンテナンスを容易にするため、あるいは複数のビューをサポートできるようにするため、状態の一部をコンポーネントから分離しておきたい場合があります。この場合、テストの対象となるインターフェイスは状態そのものです。<a href=\"https://www.solidjs.com/docs/latest/api#createroot\">リアクティブルート</a>の外では、状態は追跡されず、更新しても Effect や Memo がトリガーされないことに注意してください。</p><p>また、Effect は非同期でトリガーされるので、最終的な Effect にアサーションをラップするのに役立ちます。また、複数の変更に対する一連の Effect を観察するには、<code>createRoot</code> から必要なツールを返して、非同期のテスト関数で実行すると便利です（<code>createRoot</code> 自体は <code>async</code> 関数を受け取ることができないので）。</p><p>例として、<a href=\"https://www.solidjs.com/examples/todos\">ToDo のサンプル</a>にある <code>createLocalStorage</code> をテストしてみましょう:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createStore, Store, SetStoreFunction } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/store&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;(</span><span style=\"color:#e36209\">initState</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">)</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> [</span><span style=\"color:#e36209\">Store</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;, </span><span style=\"color:#e36209\">SetStoreFunction</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;] {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createStore</span><span style=\"color:#24292e\">(initState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (localStorage.todos) </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (localStorage.todos </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(state)));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> [state, setState];</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>TODO コンポーネントを作成する代わりに、このモデルを単独でテストできます。その際、1. リアクティブな変更は <code>render</code> または <code>createRoot</code> によって提供される追跡コンテキストがある場合のみ動作すること、2. 非同期であるが <code>createEffect</code> によってそれをキャッチできること、を念頭に置く必要があります。<code>createRoot</code> を使用すると、手動で廃棄のトリガーをできるという利点があります:</p><h4 id=\"jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> Jest でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main.tsx&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot, createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">beforeEach</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    localStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    todos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    newTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  };</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;既存の状態を localStorage から読み取る&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    localStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(state).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">(savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;新しい状態を localStorage に格納する&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// Effect をキャッチするため、Effect を使う</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">))</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        .</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;状態を複数回更新する&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> {</span><span style=\"color:#005cc5\">dispose</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">} </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> {dispose, setState};</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// すべての Effect を解決するため 1 ティック待つ</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">))</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      .</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;second&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">))</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      .</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> uvu でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect, createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">todoTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.before.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  localStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  todos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  newTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;既存の状態を localStorage から読み取る&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    localStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    assert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(state, savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;新しい状態を localStorage に格納する&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">_</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// Effect をキャッチするため、Effect が必要</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      assert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">),</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"%E3%83%87%E3%82%A3%E3%83%AC%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%83%87%E3%82%A3%E3%83%AC%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> ディレクティブのテスト</h3><p><a href=\"https://www.solidjs.com/docs/latest/api#use%3A___\">ディレクティブ</a>は再利用可能な方法で参照を使用できるようにします。これらは基本的に <code>(ref: HTMLElement, data: Accessor&lt;any&gt;) =&gt; void</code> というパターンに従った関数です。<a href=\"https://www.solidjs.com/tutorial/bindings_directives?solved\">ディレクティブのチュートリアル</a>では、アクセサーの引数にラップされたコールバックを呼び出す <code>clickOutside</code> ディレクティブを定義しています。</p><p>コンポーネントを作成し、そこでディレクティブを使用することもできますが、その場合はディレクティブを直接テストするのではなく、ディレクティブの使用をテストすることになります。マウントされたノードとアクセサーを提供することで、ディレクティブの外面をテストする方がより簡単です:</p><h4 id=\"jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1\">#</a> Jest でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;click-outside&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;clickOutside&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;div&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">beforeAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    document.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">afterAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    document.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;外側のクリックでトリガーされる&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">; });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      document.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeTruthy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    })</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;内側のクリックではトリガーされない&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">; });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      ref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeFalsy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    })</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1\">#</a> uvu でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;click-outside.tsx&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-testing-library&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clickTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;clickOutside&#39;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;div&#39;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">before</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  document.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">after</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  document.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;外側のクリックでトリガーされる&#39;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">; });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    document.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;click&#39;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      assert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(clickedOutside);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  })</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;内側のクリックではトリガーされない&#39;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> { clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">; });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    ref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;click&#39;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      assert.</span><span style=\"color:#6f42c1\">is</span><span style=\"color:#24292e\">(clickedOutside, </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  })</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"%E3%82%B3%E3%83%B3%E3%83%9D%E3%83%BC%E3%83%8D%E3%83%B3%E3%83%88%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%E3%82%B3%E3%83%B3%E3%83%9D%E3%83%BC%E3%83%8D%E3%83%B3%E3%83%88%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88\">#</a> コンポーネントのテスト</h3><p>テストするための、とてもシンプルなクリックカウンターコンポーネントを見てみましょう:</p><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createSignal, Component } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">Counter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">role</span><span style=\"color:#24292e\">=</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">onClick</span><span style=\"color:#24292e\">={() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">setCount</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> c </span><span style=\"color:#d73a49\">+</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#e36209\">Count</span><span style=\"color:#24292e\">: {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">&lt;/</span><span style=\"color:#24292e\">div</span><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>まだインストールしていない場合は、必ず <code>solid-testing-library</code> をインストールする必要があります。最も重要なヘルパーは、何とかして DOM にコンポーネントをレンダリングする <code>render</code> と、実際のユーザーイベントに似た方法でイベントをディスパッチする <code>fireEvent</code> と、グローバルセレクターを提供する <code>screen</code> です。Jest を使用している場合は、 <code>@testing-library/jest-dom</code> もインストールし、有用なアサーションを持つようにセットアップする必要があります。それ以外の場合は、上述の通り <code>solid-dom-testing</code> をインストールします。</p><h4 id=\"jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2\">#</a> Jest でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { cleanup, fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">afterEach</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;ゼロから始まる&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toBeInTheDocument</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;クリックで値が 1 増える&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// イベントループが終了するのにひとつのプロミスを解決する必要があります</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2\">#</a> uvu でのテスト</h4><pre class=\"shiki\" style=\"background-color:#fffffe\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { isInDocument, hasTextContent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-dom-testing&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">testCounter</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.after.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;ゼロから始まる&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">getByRole</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  assert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">isInDocument</span><span style=\"color:#24292e\">(button), </span><span style=\"color:#032f62\">&quot;button not in dom&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  assert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;wrong text content&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;クリックで値が 1 増える&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// イベントループが終了するのにひとつのプロミスを解決する必要があります</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  assert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;not count 1 after first click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  fireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  assert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;not count 2 after first click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre></section>";
var attributes = {
	title: "Solid のテスト",
	description: "Solid アプリのテスト方法",
	sort: 4
};
var sections = [
	{
		slug: "solid-%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
		title: "Solid のテスト",
		level: 1,
		children: [
			{
				slug: "%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%82%BB%E3%83%83%E3%83%88%E3%82%A2%E3%83%83%E3%83%97",
				title: "テストのセットアップ",
				level: 2,
				children: [
					{
						slug: "jest-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B",
						title: "Jest を設定する",
						level: 3,
						children: [
							{
								slug: "solid-jest-%E3%82%92%E4%BD%BF%E3%81%86",
								title: "solid-jest を使う",
								level: 4,
								children: [
								]
							},
							{
								slug: "ts-jest-%E3%82%92%E4%BD%BF%E3%81%86",
								title: "ts-jest を使う",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "typescript-%E3%81%A8-jest",
						title: "TypeScript と Jest",
						level: 3,
						children: [
						]
					},
					{
						slug: "uvu-%E3%82%92%E8%A8%AD%E5%AE%9A%E3%81%99%E3%82%8B",
						title: "uvu を設定する",
						level: 3,
						children: [
						]
					},
					{
						slug: "%E3%82%AB%E3%83%90%E3%83%AC%E3%83%83%E3%82%B8%E3%83%AC%E3%83%9D%E3%83%BC%E3%83%88",
						title: "カバレッジレポート",
						level: 3,
						children: [
						]
					},
					{
						slug: "watch-%E3%83%A2%E3%83%BC%E3%83%89",
						title: "Watch モード",
						level: 3,
						children: [
						]
					},
					{
						slug: "solid-testing-library",
						title: "solid-testing-library",
						level: 3,
						children: [
						]
					},
					{
						slug: "%40testing-library%2Fjest-dom",
						title: "@testing-library/jest-dom",
						level: 3,
						children: [
						]
					},
					{
						slug: "solid-dom-testing",
						title: "solid-dom-testing",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "%E3%83%86%E3%82%B9%E3%83%88%E3%81%AE%E3%83%91%E3%82%BF%E3%83%BC%E3%83%B3%E3%81%A8%E3%83%99%E3%82%B9%E3%83%88%E3%83%97%E3%83%A9%E3%82%AF%E3%83%86%E3%82%A3%E3%82%B9",
				title: "テストのパターンとベストプラクティス",
				level: 2,
				children: [
					{
						slug: "%E3%83%AA%E3%82%A2%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AA%E7%8A%B6%E6%85%8B%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
						title: "リアクティブな状態のテスト",
						level: 3,
						children: [
							{
								slug: "jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
								title: "Jest でのテスト",
								level: 4,
								children: [
								]
							},
							{
								slug: "uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
								title: "uvu でのテスト",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "%E3%83%87%E3%82%A3%E3%83%AC%E3%82%AF%E3%83%86%E3%82%A3%E3%83%96%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
						title: "ディレクティブのテスト",
						level: 3,
						children: [
							{
								slug: "jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1",
								title: "Jest でのテスト",
								level: 4,
								children: [
								]
							},
							{
								slug: "uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-1",
								title: "uvu でのテスト",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "%E3%82%B3%E3%83%B3%E3%83%9D%E3%83%BC%E3%83%8D%E3%83%B3%E3%83%88%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88",
						title: "コンポーネントのテスト",
						level: 3,
						children: [
							{
								slug: "jest-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2",
								title: "Jest でのテスト",
								level: 4,
								children: [
								]
							},
							{
								slug: "uvu-%E3%81%A7%E3%81%AE%E3%83%86%E3%82%B9%E3%83%88-2",
								title: "uvu でのテスト",
								level: 4,
								children: [
								]
							}
						]
					}
				]
			}
		]
	}
];
var testing = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, testing as default, html, sections };
