var html = "<section class=\"mt-10\"><h1 id=\"testeando-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#testeando-solid\">#</a> Testeando Solid</h1><p>Para usar su código Solid en producción, necesita probarse. Como no desea probar todo manualmente, necesita pruebas automatizadas. Probar el código sólido puede ser simple, una vez que haya configurado todo y conozca algunos patrones útiles para las pruebas.</p><h2 id=\"configuraci%C3%B3n-de-pruebas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configuraci%C3%B3n-de-pruebas\">#</a> Configuración de pruebas</h2><p>Antes de configurar las pruebas, debe elegir su framework de pruebas. Hay una gran cantidad de opciones, pero nos centraremos en dos proyectos muy diferentes que son extremos opuestos, jest y uvu. Jest está fuertemente integrado, uvu solo trae lo básico necesario. Si desea utilizar otro corredor de pruebas, la configuración de uvu debería funcionar para la mayoría de los demás framework de pruebas.</p><h3 id=\"configurando-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configurando-jest\">#</a> Configurando Jest</h3><p>Desafortunadamente, aunque esté integrado, jest no admitirá esm o typescript de forma inmediata, sino que necesita configurar su transformador.</p><p>Las opciones principales son solid-jest, que usa babel para transformar el código de Solid, omitiendo las comprobaciones de tipo al probar si se usa TypeScript, y ts-jest, que usa el compilador de TypeScript y comprueba los tipos dentro de las pruebas.</p><p>Si no está utilizando TypeScript, use solid-jest; de lo contrario, elija si desea verificar los tipos mientras ejecuta sus pruebas o no.</p><h4 id=\"usando-solid-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#usando-solid-jest\">#</a> Usando solid-jest</h4><p>Instala las dependencias requeridas:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest solid-jest </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Para TypeScript:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest solid-jest @types/jest </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>A continuación, debe definir su <code>.babelrc</code> si aún no lo ha hecho:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;presets&quot;</span><span style=\"color:#24292e\">: [</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;@babel/preset-env&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;babel-preset-solid&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// solo si usas TS con solid-jest</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;@babel/preset-typescript&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  ]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>Y modifique su <code>package.json</code> para que se vea así:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;scripts&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// tus otros scripts van aquí</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;test&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jest&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;preset&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;solid-jest/preset/browser&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// inserte archivos de configuración y otras configuraciones</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"usando-ts-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#usando-ts-jest\">#</a> Usando ts-jest</h4><p>Para usar ts-jest, necesitas instalarlo primero:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev jest ts-jest @types/jest </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Y después configurarlo en <code>package.json</code>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;scripts&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// tus otros scripts van aquí</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;test&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jest&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;preset&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;ts-jest&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;globals&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;ts-jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#032f62\">&quot;tsconfig&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;tsconfig.json&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        </span><span style=\"color:#032f62\">&quot;babelConfig&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          </span><span style=\"color:#032f62\">&quot;presets&quot;</span><span style=\"color:#24292e\">: [</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">            </span><span style=\"color:#032f62\">&quot;babel-preset-solid&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">            </span><span style=\"color:#032f62\">&quot;@babel/preset-env&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">          ]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">        }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    },</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// inserte archivos de configuración y otras configuraciones</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// probablemente quieras realizar las pruebas en modo navegador:</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;testEnvironment&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;jsdom&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// desafortunadamente, solid no puede detectar el modo navegador aquí,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// así que necesitamos indicarle las versiones correctas:</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#032f62\">&quot;moduleNameMapper&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;solid-js/web&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;&lt;rootDir&gt;/node_modules/solid-js/web/dist/web.cjs&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;&lt;rootDir&gt;/node_modules/solid-js/dist/solid.cjs&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// los usuarios de windows tienen que reemplazar &quot;/&quot; con &quot;\\&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"typescript-y-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#typescript-y-jest\">#</a> TypeScript y Jest</h3><p>Dado que jest está inyectando sus instalaciones de prueba en el ámbito global, debe cargar sus tipos en tsconfig.json para satisfacer el compilador de TypeScript:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// parte de tsconfig.json</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;types&quot;</span><span style=\"color:#24292e\">: [</span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>Esto requiere la instalación de <code>@types/jest</code> como se mencionó anteriormente.</p><h3 id=\"configurando-uvu\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configurando-uvu\">#</a> Configurando uvu</h3><p>Primero, necesita instalar los paquetes requeridos:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev uvu solid-register jsdom </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Then setup your test script in <code>package.json</code>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#005cc5\">test</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu -r solid-register&quot;</span></span>\n<span class=\"line\"></span></code></pre><p>Se pueden agregar archivos de configuración adicionales a través de <code>-r setup.ts</code>, ignore los que no son pruebas con <code>-i not-a-test.test.ts</code>.</p><h3 id=\"informes-de-cobertura\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#informes-de-cobertura\">#</a> Informes de cobertura</h3><p>Si desea verificar la cobertura de código de sus pruebas, la herramienta favorita para uvu es c8. Para instalarlo y configurarlo, ejecute:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev c8 </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:coverage&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;c8 uvu -r solid-register&quot;</span></span>\n<span class=\"line\"></span></code></pre><p>Ahora, si ejecutas <code>npm run test:coverage</code>, verá la cobertura de la prueba.</p><p>Si desea buenos informes de cobertura en HTML, puede</p><h3 id=\"modo-watch\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#modo-watch\">#</a> Modo Watch</h3><p>Ni <code>uvu</code> ni <code>tape</code> tienen un modo watch listo para usar, pero puedes usar <code>chokidar-cli</code> para hacer lo mismo:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev chokidar-cli </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:watch&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;chokidar src/**/*.ts src/**/*.tsx -c </span><span style=\"color:#005cc5\">\\&quot;</span><span style=\"color:#032f62\">uvu -r solid-register</span><span style=\"color:#005cc5\">\\&quot;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\"># use .js/.jsx instead of .ts/.tsx</span></span>\n<span class=\"line\"></span></code></pre><p>Ahora, si ejecuta <code>npm run test:watch</code>, las pruebas se ejecutarán cada vez que cambie un archivo.</p><h3 id=\"solid-testing-library\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-testing-library\">#</a> solid-testing-library</h3><p>Si desea probar componentes, definitivamente debe instalar <code>solid-testing-library</code>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev solid-testing-library </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>Esto le permite renderizar sus componentes, disparar eventos y seleccionar elementos desde la perspectiva del usuario.</p><h3 id=\"%40testing-library%2Fjest-dom\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%40testing-library%2Fjest-dom\">#</a> @testing-library/jest-dom</h3><p>Si estás usando jest, <code>solid-testing-library</code> funciona muy bien con <code>@testing-library/jest-dom</code>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev @testing-library/jest-dom </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>E importe las extensiones esperadas en un archivo de instalación:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// test/jest-setup.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;@testing-library/jest-dom/extend-expect&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span></code></pre><p>Y carga eso en jest usando la siguiente entrada en package.json:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// tus otros settings aquí</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    setupFiles: [</span><span style=\"color:#032f62\">&quot;@testing-library/jest-dom/extend-expect&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;regenerator-runtime&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>Tampoco olvides incluir los types en <code>tsconfig.json</code>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6a737d\">// parte de tsconfig.json</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#032f62\">&quot;types&quot;</span><span style=\"color:#24292e\">: [</span><span style=\"color:#032f62\">&quot;jest&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;@testing-library/jest-dom&quot;</span><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"solid-dom-testing\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#solid-dom-testing\">#</a> solid-dom-testing</h3><p>Si está utilizando otro framework de prueba como uvu o tape, hay algunos helpers de afirmación en <code>solid-dom-testing</code> que admiten afirmaciones similares:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev solid-dom-testing </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"></span></code></pre><p>No se requiere configuración, puedes simplemente importar y usar los helpers en sus pruebas como mejor le parezca.</p><h2 id=\"patrones-de-prueba-y-mejores-pr%C3%A1cticas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#patrones-de-prueba-y-mejores-pr%C3%A1cticas\">#</a> Patrones de Prueba y Mejores Prácticas</h2><p>Ahora que ha instalado sus herramientas de prueba, debe comenzar a usarlas. Para hacer esto más fácil, Solid admite algunos patrones agradables.</p><h3 id=\"prueba-de-estado-reactivo\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#prueba-de-estado-reactivo\">#</a> Prueba de estado reactivo</h3><p>Es posible que desee mantener partes de su estado separadas de los componentes para facilitar el mantenimiento o poder admitir múltiples vistas. En este caso, la interfaz contra la que estarás probando es el propio estado. Tenga en cuenta que fuera de una [raíz reactiva] (<a href=\"https://www.solidjs.com/docs/latest/api#createroot\">https://www.solidjs.com/docs/latest/api#createroot</a>) no se realiza un seguimiento del estado y las actualizaciones no dispararán efectos ni memos.</p><p>Además, dado que los efectos se activan asincrónicamente, puede ser útil envolver nuestras afirmaciones en un efecto final. Alternativamente, para observar una secuencia de efectos sobre múltiples cambios, puede ayudar retornar las herramientas necesarias desde <code>createRoot</code> y ejecutarlas en una función de prueba asíncrona (ya que <code>createRoot</code> en sí no puede tomar una función <code>asíncrona</code>).</p><p>Como ejemplo, probemos <code>createLocalStorage</code> del <a href=\"https://www.solidjs.com/examples/todos\">ejemplo de tareas pendientes</a>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createStore, Store, SetStoreFunction } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/store&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;(</span><span style=\"color:#e36209\">initState</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">)</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> [</span><span style=\"color:#e36209\">Store</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;, </span><span style=\"color:#e36209\">SetStoreFunction</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;] {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createStore</span><span style=\"color:#24292e\">(initState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (localStorage.todos) </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (localStorage.todos </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(state)));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> [state, setState];</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>En lugar de crear un componente TODO, podemos probar este modelo de forma aislada; cuando hacemos eso, debemos tener en cuenta que 1. los cambios reactivos solo funcionan cuando tienen un contexto de rastreo proporcionado por <code>render</code> o <code>createRoot</code> y 2. son asíncronos, pero podemos usar <code>createEffect</code> para detectarlos. El uso de <code>createRoot</code> tiene la ventaja de que podemos activar la eliminación manualmente:</p><h4 id=\"pruebas-en-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main.tsx&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot, createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">beforeEach</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tlocalStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\ttodos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tnewTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;lee el estado pre-existente de localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\tlocalStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(state).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">(savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t}));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;almacena nuevo estado en el localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6a737d\">// to catch an effect, use an effect</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t}));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;actualiza el estado múltiples veces&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">dispose</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> { dispose, setState };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// wait a tick to resolve all effects</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;second&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect, createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">todoTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.before.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tlocalStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\ttodos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tnewTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;lee el estado pre-existente de localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tlocalStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tassert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(state, savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;almacena nuevo estado en el localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">_</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// to catch an effect, we need an effect</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tassert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">), { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"directivas-de-pruebas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#directivas-de-pruebas\">#</a> Directivas de Pruebas</h3><p><a href=\"https://www.solidjs.com/docs/latest/api#use%3A___\">Directivas</a> permiten usar refs de forma reutilizable. Son básicamente funciones que siguen el patrón <code>(ref: HTMLElement, data: Accessor&lt;any&gt;) =&gt; void</code>. En nuestro [tutorial de directivas] (<a href=\"https://www.solidjs.com/tutorial/bindings_directives?solved\">https://www.solidjs.com/tutorial/bindings_directives?solved</a>), definimos la directiva <code>clickOutside</code> que debe llamar al callback envuelto en el argumento de acceso.</p><p>Ahora podríamos crear un componente y usar la directiva allí, pero luego estaríamos probando el uso de directivas en lugar de probar directamente la directiva. Es más sencillo probar la superficie de la directiva al proporcionar un nodo montado y el descriptor de acceso:</p><h4 id=\"pruebas-en-jest-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest-1\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;click-outside&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;clickOutside&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;div&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">beforeAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tdocument.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">afterAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tdocument.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;se disparará al dar click afuera&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tdocument.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeTruthy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;no se disparará al hacer click dentro&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeFalsy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu-1\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;click-outside.tsx&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clickTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;clickOutside&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;div&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">before</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tdocument.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">after</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tdocument.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;se disparará al dar click afuera&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tdocument.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(clickedOutside);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t)</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;no se disparará al hacer click dentro&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tassert.</span><span style=\"color:#6f42c1\">is</span><span style=\"color:#24292e\">(clickedOutside, </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t)</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"probando-componentes\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#probando-componentes\">#</a> Probando Componentes</h3><p>Tomemos un componente muy simple de contador de clics que queremos probar:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createSignal, Component } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">Counter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">div role</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;button&#39;</span><span style=\"color:#24292e\"> onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() =&gt; </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\"> + </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}</span><span style=\"color:#d73a49\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#e36209\">Count</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">&lt;/</span><span style=\"color:#24292e\">div</span><span style=\"color:#d73a49\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span></code></pre><p>Definitivamente deberías instalar <code>solid-testing-library</code>, si aún no lo has hecho. Sus helpers más importantes son <code>render</code> para representar un componente en el dom de forma controlada, <code>fireEvent</code> para enviar eventos de forma que se asemeje a los eventos reales del usuario y <code>screen</code> para proporcionar selectores globales. Si usa jest, también debe instalar <code>@testing-library/jest-dom</code> y configurarlo para que tenga algunas afirmaciones útiles; de lo contrario, instale <code>solid-dom-testing</code> como se describe anteriormente.</p><h4 id=\"pruebas-en-jest-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest-2\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { cleanup, fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">afterEach</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;comienza en cero&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toBeInTheDocument</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;aumenta su valor cada click&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// el bucle de eventos requiere una Promesa para resolver y finalizar</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu-2\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { isInDocument, hasTextContent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-dom-testing&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">testCounter</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.after.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;comienza en cero&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">getByRole</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">isInDocument</span><span style=\"color:#24292e\">(button), </span><span style=\"color:#032f62\">&quot;el botón no está en el DOM&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;contiene texto incorrecto&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;aumenta su valor cada click&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6a737d\">// el bucle de eventos requiere una Promesa para resolver y finalizar</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;el conteo no es 1 después del primer click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;el conteo no es 2 después del segundo click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre></section>";
var attributes = {
	title: "Testeando Solid",
	description: "Como realizar pruebas a tu app Solid",
	sort: 4
};
var sections = [
	{
		slug: "testeando-solid",
		title: "Testeando Solid",
		level: 1,
		children: [
			{
				slug: "configuraci%C3%B3n-de-pruebas",
				title: "Configuración de pruebas",
				level: 2,
				children: [
					{
						slug: "configurando-jest",
						title: "Configurando Jest",
						level: 3,
						children: [
							{
								slug: "usando-solid-jest",
								title: "Usando solid-jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "usando-ts-jest",
								title: "Usando ts-jest",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "typescript-y-jest",
						title: "TypeScript y Jest",
						level: 3,
						children: [
						]
					},
					{
						slug: "configurando-uvu",
						title: "Configurando uvu",
						level: 3,
						children: [
						]
					},
					{
						slug: "informes-de-cobertura",
						title: "Informes de cobertura",
						level: 3,
						children: [
						]
					},
					{
						slug: "modo-watch",
						title: "Modo Watch",
						level: 3,
						children: [
						]
					},
					{
						slug: "solid-testing-library",
						title: "solid-testing-library",
						level: 3,
						children: [
						]
					},
					{
						slug: "%40testing-library%2Fjest-dom",
						title: "@testing-library/jest-dom",
						level: 3,
						children: [
						]
					},
					{
						slug: "solid-dom-testing",
						title: "solid-dom-testing",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "patrones-de-prueba-y-mejores-pr%C3%A1cticas",
				title: "Patrones de Prueba y Mejores Prácticas",
				level: 2,
				children: [
					{
						slug: "prueba-de-estado-reactivo",
						title: "Prueba de estado reactivo",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "directivas-de-pruebas",
						title: "Directivas de Pruebas",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest-1",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu-1",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "probando-componentes",
						title: "Probando Componentes",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest-2",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu-2",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					}
				]
			}
		]
	}
];
var testing = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, testing as default, html, sections };
